Introduction to the Provance IT Asset Management Pack

The Provance IT Asset Management Pack is a Process Management Pack for Microsoft® System Center 2012 - Service Manager. As a Process Management Pack, the IT Asset Management Pack is built using the Service Manager platform framework and completely integrated with the following Service Manager platform technologies: the Configuration Management Database (CMDB), the Connector and Linking framework, connectors to Active Directory, Configuration Manager, Operations Manager, Workflow, and the Data Warehouse. By leveraging and extending these technologies, the IT Asset Management Pack provides additional capabilities which run within Service Manager:

  • IT Asset Life Cycle Management for controlling IT costs and effectively managing hardware and software throughout their entire life cycle

  • Software Asset Management for minimizing software costs and maintaining license compliance by identifying over and under licensed software titles

  • Financial, contractual and organizational information to support more efficient and cost effective IT Service Management

Hardware asset management

The IT Asset Management Pack provides you with the necessary tools to manage your assets through their entire life cycle, from receipt to disposal. The configuration data captured by Configuration Manager and Operations Manager and stored as configuration items (CIs) in the Service Manager CMDB is complemented by IT Asset Management Pack hardware asset data. The additional hardware asset data includes location, ownership, financial, contractual and historical information. Specifically, warranty, lease, support and disposal agreements can be stored along with financial and organizational details, such as cost, ownership and location of the hardware asset. All changes made to the asset item are recorded across the entire life cycle. By managing the hardware life cycle with the IT Asset Management Pack, organizations ensure compliance with internal corporate policies and government legislation relating to data privacy, software compliance and safe hardware disposal.

Assets and asset related data can be entered manually into the IT Asset Management Pack or imported from other systems. For information on how to import data, see Importing vs. entering data manually.

Software asset management

For software asset managers that want to minimize software costs, the IT Asset Management Pack identifies overspending on unused software (over licensing) as well as under licensing of software titles.

The key to managing software assets is understanding the difference between what has been licensed and what has been installed. The IT Asset Management Pack lets you quickly and easily access the information you need in order to understand your software licensing position.


Shared interface for Service Manager and Provance

The Service Manager console and the Provance IT Asset Management Pack integrated into it share a common interface. The main items of the interface are as follows:

  • a navigation pane

  • a view pane

  • a tasks pane

Navigation pane

The left-hand area of the interface is called the navigation pane. The navigation pane is used to move between the following items:

  • Workspaces: the largest categorization of your work in Service Manager contains items such as the IT Asset Management Pack, the Data Management Pack, and Administration (where you can configure items such as the Provance license, notifications, and settings affecting Provance management packs).

  • Folders: smaller containers for items such as Contract Management, Hardware Asset Management, and Software Asset Management.

  • Views: click on a view inside a folder to display the items associated with it in the center View pane. A view can either be a tabular listing of data or a graphical representation of items and their relationship to one another. For example, the Software Titles Tracked by Installation view displays all of your software titles in a tabular format, with columns showing their Licensing Status, the Installed Quantity, and the Entitlements you have.

Task pane

The right-hand area of the interface is called the Tasks pane. It is used to perform tasks associated with the item selected in the View pane. It is also used to launch help associated with the selected item or folder. The tasks are context sensitive, i.e., they change depending on the type of item selected, as well as the number of items selected in the View pane.

Depending on your network’s speed, the Tasks pane may take a few seconds to refresh. Before you apply a task to one or more items in the view, ensure that the last item selected in the view appears at the top of the Tasks pane. The item appearing at the top of the Tasks pane is the item that the task will be applied to.

View pane

A view is a summary of your data, either arranged into a tabular format with columns and rows, or arranged visually showing the parent-child relationship between items. A view can include hardware or software asset management, contractual, financial or organizational data. Select a view in the IT Asset Management Pack workspace to have it appear in the center View pane of the Service Manager console.

Select an item in the View pane (tabular format only), to show a preview of it in the bottom portion of the View pane. The preview contains a summary of the item’s contents. For example, the preview of a software title contains a break down of its licensing status on a version by version basis.

Viewing assets

Views provide different ways of representing your hardware or software assets and important information related to them. Views with columnar data can be sorted, grouped, filtered and their columns changed. Views can also be created and customized to suit your requirements. For more details about creating custom views, refer to the Service Manager online help.

To open an asset management view:

>> In the IT Asset Management Pack workspace, open Hardware Asset Management or Software Asset Management, select a folder and then a view within the folder.


Viewing the assets related to an item

There are many places where you can view the hardware assets that are related to a specific item, such as from an incident or from a computer CI. In all instances you need to first link the hardware asset to the item. For each instance, the following table describes how to link an item with the asset and then how to view the item’s related hardware assets.

This intermediate view is in fact an advanced search result that can be filtered, exported, etc.

Item

How to Link an Asset

How to View Related Assets

Computer CI

Follow the instructions in Creating a single hardware asset.

The CI and the hardware asset are now related.

NOTE: If the serial number and/or asset tag is identical between the CI and the asset, you do not need to manually link them together. For more details, see Hardware asset and computer CI linking

  1. Go to the Configuration Items workspace and click Computers.

  2. Select a view and a computer CI in that view.

  3. Click View Related Hardware Assets.

Cost Center

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open a hardware asset.

  3. Go to the Financial tab, Purchasing details section.

  4. Add a Cost Center.

  1. Go to the Administration folder > Cost Centers > All Cost Centers view.

  2. Select a cost center.

  3. Click View Related Hardware Assets.

NOTE: The results contain all of the related assets for the cost center and the cost center’s children. The cost center’s children, if it has any, can be found on the Hierarchy tab.

Disposal
agreement

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Select a hardware asset and dispose of it in accordance with Disposing of an asset. Ensure that you add a disposal contract during the disposal.

The hardware asset and the disposal contract are now related.

  1. Go to the Contract Management > All Disposal Agreements view.

  2. Select an agreement.

  3. Click View Related Hardware Assets.

Hardware
catalog item

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open a hardware asset.

  3. In the Model field, click Add. The Model form opens.

  4. Find a catalog item and click OK.

  5. Click OK to save the hardware asset.

The catalog item and the hardware asset are now related.

NOTE: If your hardware assets already have Model information, which came from hardware catalog items, then they may already be related.

  1. Go to the Hardware Asset Management > Hardware Catalog > All Hardware Catalog Items view.

  2. Select a catalog item.

  3. Click View Related Hardware Assets.

Hardware maintenance & support agreement

Follow the instructions in To add an agreement to a hardware asset:.

The agreement and the hardware asset are now related.

  1. Go to Contract Management > All Hardware Maintenance & Support Agreements.

  2. Select an agreement.

  3. Click View Related Hardware Assets.

Incident

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Select a hardware asset and click Create Related Incident. The hardware asset and the incident are now related.

  1. Go to the Work Items workspace and click Incident Management.

  2. Select an incident view and a particular incident.

  3. Click View Affected Hardware Assets.

Lease schedule

  1. Follow the instructions in To add an agreement to a hardware asset:.

  2. The lease schedule and the hardware asset are now related.

  3. Ensure that the lease schedule has been added to a lease agreement, see Creating a lease schedule.

  1. Go to Contract Management > Lease Agreements > All Lease Agreements.

  2. Select an agreement.

  3. Click View Related Hardware Assets.

Location

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open the hardware asset.

  3. Go to the Ownership and Location section and add a Location.

  1. Go to the Administration folder and click Locations > All Locations.

  2. Select a location.

  3. Click View Related Hardware Assets.

NOTE: The results contain all of the related assets for the location and the location’s children. The location’s children, if it has any, can be found on the Hierarchy tab.

Organization

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open the hardware asset.

  3. Go to the Ownership and Location section and add an Organization.

  1. Go to the Administration folder and click Organizations > All Organizations.

  2. Select an organization.

  3. Click View Related Hardware Assets.

NOTE: The results contain all of the related assets for the organization and the organization’s children. The organization’s children, if it has any, can be found on the Hierarchy tab.

Printer CI

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open the hardware asset.

  3. Under Configuration Items, click Add.

  4. Find the associated printer CI and add it to the hardware asset.

The printer CI and the hardware asset are now related.

  1. Go to the Configuration Items workspace and click Printers.

  2. Select a view and a printer CI in that view.

  3. Click View Related Hardware Assets.

Software title

Ensure that there is a link between the hardware asset and a computer CI. This is usually established automatically through a matching serial number, but if you need to establish it manually see Creating a single hardware asset. The computer CI contains a list of the installed software items based on the discovery process.

Ensure that the software items have been mapped to software titles. See Creating a software catalog.

The software title and the hardware asset are now related.

  1. Go to Software Asset Management > Software Catalog > Software Titles Tracked by Installation view or Software Titles Tracked by Assignment view.

  2. Select a software title.

  3. Click View Related Hardware Assets.

Software version

Ensure that there is a link between the hardware asset and a computer CI. This is usually established automatically through a matching serial number, but if you need to establish it manually see Creating a single hardware asset. The computer CI contains a list of the installed software items based on the discovery process.

Ensure that the software items have been mapped to software versions. Go to the software title and open the software version form. Add one or more software items to the version.

The software version and the hardware asset are now related.

  1. Go to Software Asset Management > Software Catalog > Software Titles Tracked by Installation viewSoftware Titles Tracked by Installation view or Software Titles Tracked by Assignment view.

  2. Select a software title.

  3. Open a software version.

  4. Click View Related Hardware Assets.

Users

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open a hardware asset.

  3. Go to the Ownership & Location > Assigned to field and click Select to find a user. The Select User form opens.

  4. Select a user and click OK. The user is assigned to the hardware asset, which indicates they are now related.

  1. Go to the Configuration Items workspace and click Users.

  2. Select a user and click View Related Hardware Assets.

Warranty

Follow the instructions in To remove an agreement from a hardware asset:.

The agreement and the hardware asset are now related.

  1. Go to the Contract Management > Warranty Agreements > All Warranty Agreements view.

  2. Open an agreement.

  3. Click the Assets Under Warranty tab.


Viewing assets with alerts

The Hardware Assets with Alerts view lists all of the hardware assets that have the Marked for Review alert type. You might mark hardware assets for review when they have just been created and you need to review their details. Because there can be more than one alert on an asset, the view shows you how many alerts there are (Alert Count) and provides a description of the first alert added to the asset.

For more information about the Mark for Review alert type, see Marking a hardware asset for review.

Sorting, grouping and filtering views

  • To sort views, click on the column headers. For example, in the Software Titles Tracked by Installation view, click the Approval Status column header to sort the data in ascending order by the approval status (Approved or Not Approved). Click the column header again to sort the data in descending order.

  • To group views, right click on the column header bar, select Group By and then select the column to group on.

  • To filter data in a view, enter a keyword or string, or portion thereof, in the Filter field at the top of the View pane. Asset items are immediately filtered in the view as you enter in a filter.

  • For advanced filtering, click Edit Criteria at the top of the View pane and select +add criteria. A list of the available columns is displayed, providing advanced filter criteria for your view. Select the desired columns and enter a keyword or string, or portion thereof, to filter the view based on your criteria.

  • Filters remain active until you clear them. To clear a filter, delete the contents of the Filter field or click the x next to the Filter field. To clear all filters, click Clear All.

Removing, adding and reordering columns in a view

All views can be modified to show or hide columns. Some views have optional columns that are hidden by default.

To remove or add columns to a view, right click the column header bar. The column menu appears. To remove a column from the view, deselect it (clear check mark) in the menu. To add a column to the view, select it (add check mark) in the menu.

To reorder columns in the view, click, hold and drag the column heading to a new position.


Using the tree view

A tree view visually shows the parent-child relationship between items. The tree view is only available on certain items having a parent-child or hierarchical relationship. For example, the Location tree view could show the cities Boston, New York and San Francisco, each having a single building with multiple floors, each floor having multiple rooms, and finally the hardware assets in each room. The following tree views are available:

  • All Locations: shows all locations, their children and their hardware assets.

  • All Organizations: shows all organizations, their children and their hardware assets.

  • All Cost Centers: shows all cost centers, their children and their hardware assets.

  • All Hardware Assets by Location: shows all locations with hardware assets as their children. Assets that have no location are shown at the top level (at the same level as the locations).

  • Software Overview: shows the relationship between a publisher, its software titles, versions, SKUs, licenses and software items, in that order.

NOTES:

In the All Hardware Assets by Location view, parent-child relationships take precedence over location relationships. For instance, if there is an asset with a child that has a location, but the parent does not, then the relationship (of the asset and its child) is shown at the top level of the view, not under a location. If the parent and child have different locations, again the relationship (of the asset and its child) is shown at the top level of the view, not under a location.

If a relationship is missing, such as between the software versions and SKUs, then the next item in the tree is displayed, which in this example would be software items. The following diagram shows software items appearing at the same level as SKU590 because there are no SKUs for those items:

Relationships cannot be created from a tree view. The relationships shown in these views are created from the item, such as from a location, an organization or a hardware asset.


Administration

Administration folder

The Administration folder in the IT Asset Management Pack includes the following business entities: companies, contacts, cost centers, locations, and organizations. Business entities allow you to structure and segment contract, hardware, and software assets for reporting and tracking purposes. Both hardware assets and software titles can make use of business entities.

Topics

Location, organization and cost center

Creating a company

Creating a contact

Creating a cost center

Creating a location

Creating an organization

Location, organization and cost center

The location represents the physical location of an asset, such as a building, a city or a rack. Choose the structure of your location information based on what suits your organization. One example would be a city based structure, such as Boston, New York and San Francisco. Each city could have one or more buildings and each building could have one or more rooms.

An organization represents a logical division of your business. It can be as large as a region or as small as a department.

A cost center represents a financial entity in your organization.

About their relationship to assets, titles and users

Locations, organizations and cost centers are considered business information. Add them to your hardware assets, software titles and users to improve your assignment, allocation and harvesting tasks. When added to your hardware assets, business information helps you determine who has paid for the asset, where it is located, and who is responsible for it. Add business information to a software license so you can track where your licenses have been allocated (see Allocating software licenses). Add, or affiliate, business information to a user so you can make more informed decisions when assigning and allocating the user to a software title. Also, when affiliated with a user, business information can be automatically associated with service requests made by or on behalf of the user. They may also be taken into account when making a decision about harvesting licenses. Does the user with the software installed belong to the cost center that purchased the license?

You can also add contacts, a parent and children to locations, organizations and cost centers. For more details, see Working with parent-child relationships.

How do I see the relationships that are set up?

There are several methods for viewing the relationships you have set up for locations, organizations and cost centers:

  • You can see all the hardware assets related to a location, organization, or cost center through the View Related Hardware Assets task.

  • You can see the software allocation from a location, organization, or cost center, through the View Allocated Software Assets task.

  • You can see a visual representation of the parent-child relationships created for organizations, locations, and cost centers. Use a tree view to see these relationships. For more details about tree views, see Using the tree view.

You will notice on forms that the fully qualified hierarchy for locations, cost centers, and organizations is displayed, but on views only the location, organization or cost center identifier is displayed. Fully qualified names include the separator \. An example of a fully qualified location would be as follows: \North America\United States\San Francisco, CA - USA\Building 4 - San Fransico South\5th Floor\Suite 501\Cubicle 501-1E.

Each location, organization and cost center must have a name or a code that you create to identify it in the system.

See Also ▶

Viewing the assets related to an item

Using the tree view

Creating a company

Companies are used to represent suppliers, manufacturers, publishers and other external companies in contracts, agreements, and hardware and software assets. Companies can be created either before or during the creation of agreements, and the creation of hardware and software catalogs.

To create a company:

  1. Go to the IT Asset Management Pack workspace and expand the Administration > Companies view.

  2. In the Tasks pane, click Create Company. The New Company form opens.

  3. Complete the fields on the General tab and click OK to save the company.

Creating a contact

Contacts are used to provide your assets with additional information. Some of the items that contacts can be associated with include agreements, companies, locations, organizations, and cost centers. When you access these items through a hardware asset, and in some cases a software title and a software license, you can obtain a contact’s information.

To create a contact:

  1. Go to the IT Asset Management Pack workspace and expand the Administration > Contacts folder.

  2. In the Tasks pane, click Create Contact. The New Contact form opens.

  3. Complete the fields on the General tab and click OK to save the contact.

Creating a cost center

To create a cost center:

  1. Go to the IT Asset Management Pack workspace and expand the Administration > Cost Centers folder.

  2. In the Tasks pane, click Create Cost Center. The New Cost Center form opens.

  3. Complete the fields on the General tab.

  4. (Optional) To add a parent and/or children cost centers, complete the fields on the Hierarchy tab.

  5. Click OK to save the cost center.

Creating a location

To create a location:

  1. Go to the IT Asset Management Pack workspace and expand the Administration > Locations folder.

  2. In the Tasks pane, click Create Location. The New Location form opens.

  3. Complete the fields on the General tab.

  4. (Optional) To add a parent and/or children to the location, complete the fields on the Hierarchy tab.

  5. Click OK to save the location.

Creating an organization

To create an organization:

  1. Go to the IT Asset Management Pack workspace and expand the Administration > Organizations folder.

  2. In the Tasks pane, click Create Organization. The New Organization form opens.

  3. Complete the fields on the General tab.

  4. (Optional) To add a parent and/or children to the organization, complete the fields on the Hierarchy tab.

  5. Click OK to save the organization.


Cost events

A cost event enables you to track financial expenses as they occur. Cost events can be associated with a hardware asset, an agreement or a milestone of an agreement. There are several types of cost events available depending on the expense and the association, such as repair, renewal, upgrade, true-up, and penalty costs. An Administrator can also change the types of events that are available in your organization from the Library workspace > Lists view. Ensure that you change the right list, since hardware assets and agreements have different types of cost events; there is one list entitled Cost Events - Hardware Assets and one called Cost Events - Agreements.

All cost events entered for a given asset are added together to give you a total cost of all expenses. Knowing the cost of the expenses associated with a particular asset can help you determine its true cost of ownership. The Hardware Asset Details report contains a summary of an asset’s cost events.

Any type of agreement can have a cost event associated with it. If you have added milestones to an agreement, the milestone can be associated with a cost event through its Related Items tab. Associating cost events with agreements and milestones can provide you with the actual cost of doing business with a particular vendor, or the actual cost of a software title.

To create a cost event from an asset or an agreement:

  1. Find the asset or agreement and open it.

  2. Go to the Financial tab.

  3. In the Cost Events area, click Create. The New Cost Event form opens.

  4. Complete as many fields on the form as possible, such as the following:

    5. • Add an organization to designate who is responsible for the cost.

    • Add a cost center to designate where the financial responsibility lies.

    • Add a location to show where the cost originates from.

    • Add a user to show who the cost is associated with.

    • Add a change request to associate the cost with a specific request.

    • Add an incident to associate the cost event with a specific incident.

  5. Click OK to save the cost event.

To associate a cost event with a milestone:

  1. Open any agreement and go to the Financial tab.

  2. Open the cost event.

  3. Go to the Related Items tab and click Add. The Milestone selection form opens.

  4. Choose a milestone and click OK. The milestone and cost event are now associated with each other. You may also view the cost events associated with the milestone from the Milestone form.

See Also ▶

Using milestones


Exporting data

You can export data from any view or search results dialog as a csv file for use with Excel. In addition to exporting the data you see in a view, you can also export related data you cannot see. When you select one or more items, such as several software titles, you can choose which related classes and properties of those items to export. For example, if you are exporting ten software titles and they all have assignments and allocations, then you could also export the users and locations associated with those assignments and allocations.

The properties from each selected class are listed consecutively in the generated CSV file. Exported data can be reimported in csv format, using the Data Management Pack, without the need for an XML format file.

Exported classes and properties can be saved as a template for reuse. This is useful if you export the same relationships, classes and properties repeatedly.

NOTE:

If you are exporting data that has multiple relationships, the entire data structure will be repeated for each relationship in your exported file. For example, if you export a hardware asset with two assigned software titles, each with two assigned users, the csv will contain four complete entries beginning with the hardware asset and ending with the user.

To export data from a view:

  1. Open the IT Asset Management Pack workspace.

  2. Go to a view, such as Software Asset Management > Software Catalog > Software Titles Tracked by Installation.

  3. Select one or more items in the view, such as software titles.

  4. In the Tasks pane, click Export Data. The Export Data to CSV wizard opens.

  5. Select Create a new template or Use an existing template if you have a previously saved template.

  6. Click Next.

  7. Select the Related Classes and the Available properties and click Add. The properties are added to the Selected properties table.

    8. When making a selection, use the tool-tip description available for each class to help you differentiate between similarly named classes.

  8. Change the name of the Property Alias if you wish to simplify the column name in the exported file.

  9. When you have selected all of the classes and properties you wish to export, click Next.

  10. Browse for a filename and location.

  11. Click Save Template if you wish to save the exported classes and properties to an existing template or to a new template.

  12. Click Export to export the data to csv. The last page of the wizard informs you that the export was successful.

Export templates

An export template describes the object or objects that you are exporting and their properties. Export templates are managed from within the Export Data wizard. From the wizard you can create new templates, edit existing templates and remove templates.

Export templates cannot be transferred between consoles. The template name can only contain the following characters: alphabetic, numeric, a period (.) and an underscore (_).


Reporting

The IT Asset Management Pack comes with several reports to help you manage your contracts, hardware assets and software assets. The reports can be found in the Reporting workspace, under IT Asset Management, and are described in the following sections:

  • Hardware asset management reports

  • Hardware asset inventory report

  • Discovered hardware assets not managed report

  • Managed hardware assets not discovered report

  • Hardware asset details report

  • Contract reports

  • Software license assignment report

  • Software title assignment report

  • Software license distribution report

  • Software title installation report

  • Software license reconciliation report

  • Software title allocation report


Currencies and exchange rates

If you are entering financial data in multiple currencies, the Administrator needs to enter an exchange rate for each type of currency. The exchange rate is necessary when generating reports, since the management pack converts multiple currencies into a common base currency in reports. For more details, see Global administration settings.


Licensing for the IT Asset Management Pack

Provance IT Asset Management Pack licensing is based on Service Manager licensing. You require one Provance management license for each corresponding Service Manager management license. Like Service Manager, there are two types of Provance management licenses: client management licenses (client MLs) for non-server devices and server management licenses (server MLs) for server devices. Regardless of the criteria used to determine your Service Manager licensing, you require one Provance client license for each System Center Service Manager client ML, and one Provance server license for each System Center Service Manager server ML.

Types of licenses

There are two types of Provance server licenses and three types of client licenses. Together they help us tailor a license to your environment and your specific needs:

  • server device (a Windows computer CI with a server operating system)

  • server hardware asset (a hardware asset that is linked to a Windows computer CI server)

  • client device license (a Windows computer CI)

  • client hardware asset license (a hardware asset)

  • client user license (a Service Manager user)

A server license can either be based on a Windows computer CI server or a hardware asset that is linked to at least one Windows computer CI server. One server license is good for up to 2 processors. When calculating your required server licenses, each server and its processors is counted as a unit and applied to the license, before continuing to the next server and applying it to the license. For example, if you have 3 processors on a server, you need two server licenses.

A client license can be based on one of the following: a hardware asset, a Windows computer CI (that is not a server), or a user in Service Manager. A client license can have one of two behaviors:

  • you may not create any servers as Windows computer CIs within the management pack. In this case the Provance Product Licensing Status section will read ‘Licensed for 0’.

  • you may create servers as Windows computer CIs within the management pack. In this case the Provance Product Licensing Status section will read ‘Licensed for None’.

When you receive a license it allows you to manage a certain number of servers and clients (devices/assets/users). The exact combination depends on your environment and on the number of server MLs and client MLs you have.

For more details about Microsoft System Center Service Manager licensing, please visit http://www.microsoft.com/licensing/about-licensing/product-licensing.aspx.

How licensing is enforced

License enforcement in the IT Asset Management Pack is based on the number of devices and users that you are managing. The type of device that you are licensed for—server or client—defines what device is being managed.

A product title, which is similar to a software title, is used to monitor your compliance with the license for a particular product. Like a software title, a product title monitors software. Unlike a software title, the product title only monitors Provance software. Regardless of how many licenses you may have for the software, there is only one product title per software, such as one for the IT Asset Management Pack and one for the Data Management Pack. Each product title monitors both the server and the client portions of the license.

A workflow links the Provance Product Title to all the devices and/or users that are applicable to your license. If you have an IT Asset Management Pack license for 400 server devices and 1000 client hardware assets, then its product title would be linked to all those devices. Any devices, assets, or users outside of that license affects your ability to manage hardware assets. For more details, see What happens when I reach my license limit?.

Product titles appear in the Administration workspace in their own view called Provance Product Titles. Use the view and the form for a product title to help you compare your managed devices with your licensed devices.

An activation key, once entered, allows you to manage a certain number of devices, hardware assets, or users. Activation keys are cumulative; for example, you may purchase a license for 500 server devices. If you later decide that you need to manage additional servers, you can purchase a license to accommodate them. Your first license and each additional license you purchase will be added together to provide a cumulative total number of devices/assets/users that can be managed.

The activation key(s) for your license can be managed from the Administration workspace, Provance Product Licensing view.

What happens when I reach my license limit?

When you have exceeded the maximum number of server and client devices your license permits you to manage, you will be unable to create more hardware assets. If you attempt to create more assets, a message opens indicating that you have exceeded your license. The following table describes specific examples where the license has expired and what to expect when you perform an action.

If your license has expired or you have more server or client devices than permitted, contact Provance to purchase a license for the additional devices. Consult the IT Asset Management Overview page, Licensing Status section, to determine how many additional devices you need to be licensed for. The additional devices, whether they be server, client or both, will be the difference between the number you are licensed for and the number you are managing, as stated on the overview page. For example, if you are licensed for 500 servers, but you are managing 1000, then you need a license for 500 server devices. If you wish to continue without immediately purchasing an additional license, delete the devices that you no longer need to manage. Otherwise, the IT Asset Management Pack will prevent you from creating any additional hardware assets, until you purchase a new license.

In some situations, as with importing through csv or using the Data Management pack, assets that are created outside of your license are automatically deleted. In actuality, they are moved to the Deleted Items folder (in the Administration workspace). Deleted assets will remain in the folder indefinitely unless you permanently remove them. You cannot perform any other action on deleted assets. Use Deleted Items as a temporary holding place for assets until you upgrade your license. Once you are licensed for those assets, you can move them out of Deleted Items and begin managing them.


How to manage your license

Managing your license includes adding or removing a license and determining your licensing status. You can access license management capabilities from:

  • the Licensing Status section on the IT Asset Management Overview page. In the IT Asset Management Pack workspace, click the top level IT Asset Management folder.

  • the Provance Product Licensing view in the Administration workspace

  • a product title, entitled IT Asset Management Pack, which is found under Provance Product Licensing > Provance Products. The title, and the view where it resides, can be used to assess your licensing status.

Product Licensing Status

Use the Licensing Status section on the Overview page to quickly assess your license situation. It contains statistical information about your license, including the number of server and client devices you are licensed for, as well as the total number that you are currently managing. The background of the Licensing Status section changes color to indicate when your managed devices are close to your licensed devices (yellow) or when you have exceeded the number of licensed devices (red).

If you have an evaluation copy of the IT Asset Management Pack, the Licensing Status section shows the number of days left in the evaluation, as well as the number of devices that you are managing. In an evaluation scenario, the Overview page can be used to determine the exact composition of the license you need to purchase. Do you need 500 server device licenses and 300 client devices? Or is it better for you to manage hardware assets instead of servers? Perhaps you have many Windows Computer servers that are not being utilized, and only a few are linked to hardware assets. In this case you would purchase a server hardware asset license to reduce the cost of the license.

Knowing the number of devices you are managing will help you choose the right number of devices for a commercial license.

Administration – Provance Product Licensing View

Use the Provance Product Licensing view to:

  • add , remove and synchronize licenses

  • view all the Provance management packs that you are licensed for

  • see the expiration date for evaluation licenses


Entering a license key

New and upgrade licenses for any Provance management pack are activated from the Administration workspace. When activating a management pack you have two options: activate in real-time over the Internet or activate through a license file. Organizations that do not permit external Internet connectivity will want to use a license file.

To enter a license key:

  1. Go to the Administration workspace and expand the Administration > Provance Product Licensing view.

  2. Click Add Provance Product License. The Product Activation wizard opens.

  3. Select an option:

    4. I want to activate the software over the Internet: Select this option if you have an open Internet connection and you wish to activate your license in real-time.

    I have a license file I want to install: Select this option if your organization does not permit access to the Internet or web services. Use files of type *.bin.

    I want to request a license file: Select this option to enter your activation key and send it to Provance so you may receive a license file to activate your software.

  4. Complete the remaining steps in the wizard to finish activating the management pack.


Synchronizing product licenses

Synchronization is for organizations with multiple Service Manager Consoles. If one console user updates the product license, the other console users need to synchronize with the server to recognize the license. Synchronization is done automatically whenever you close and reopen the console and after you enter a new license key, or it can be done manually.

To manually synchronize the product licenses in an open Service Manager Console:

  1. Go to the Administration workspace and expand the Provance Product Licensing > All Provance Product Licenses view.

  2. In the Tasks pane, click Synchronize Provance Product Licenses with Server.

All the licenses that are activated for the product are listed in the view. Go to the IT Asset Management Pack Overview page to view the updated license statistics.


Administrative settings

Administrative settings for the IT Asset Management Pack can only be set by someone with Administrator rights in Service Manager.


Hardware administration settings

Administration > Settings > Provance Hardware Administration Settings

The following hardware administrative settings are available:

  • Hardware asset settings

  • Hardware workflow setting

Hardware asset settings

The Hardware Administration Settings form permits you to change the behavior of hardware asset creation with the following options:

  • Allow duplicate asset tags: Set this option to permit the creation of hardware assets with identical asset tag IDs.

  • Allow duplicate serial numbers: Set this option to permit the creation of hardware assets with identical serial numbers.

  • Automatically generate the Asset Name field: By default the Asset Name is automatically maintained by the management pack using a combination of the asset tag and the model. Deselect this option to maintain the Asset Name manually using your own nomenclature. The Asset Name field is used in an Advanced Search, so using your own nomenclature could make it easier to find assets. When you deselect this option the Asset Name field on a hardware asset becomes editable and mandatory. If you subsequently turn the option back on, any manually entered values will be overwritten with automatically generated values.

NOTE:

If you are using the Create Multiple Hardware Assets task and this option is deselected, their asset names will be automatically generated so as not to create assets with blank names.

Hardware workflow setting

The purpose of the Hardware Workflow Setting is to see all the incidents that have been opened for a hardware asset. Unless you manually relate a hardware asset to an incident, or create an incident from a hardware asset, incidents are not visible directly from the asset. The workflow setting automatically establishes a relationship between a hardware asset and an incident, through the CI linked to the asset. A relationship must already exist between the hardware asset and the CI (from the hardware asset form). The incidents appear on the Related Items tab of the hardware asset, under Work items affecting this configuration item. Incidents are not added to any of the hardware asset’s related CIs; only the hardware asset benefits from the workflow.

The workflow runs whenever there are updates to existing hardware assets and incidents, as well as when new assets or incidents are added.

While the primary purpose of this option is to relate incidents to hardware assets, the workflow actually establishes a relationship for all types of work items opened for a hardware asset. Therefore, if you open a change request, a problem and an activity work item for a CI, their related hardware assets will have those work items added to the Related Items tab.

NOTES:

A duplicate work item is made for the hardware asset under the incident, so if you delete the hardware asset the incident report will still contain the hardware asset.

The Allow duplicate asset tags and serial numbers settings will have an impact on the linking of a hardware asset to a CI. If there are two assets with the same serial number and/or asset tag, then the management pack will choose the first it encounters in its search (based on the rules described in Hardware asset and computer CI linking ).

There is a time delay from when you create or update (basically save an incident) and when the hardware asset relationship is created. Older incidents are not related to the hardware asset after the option is enabled.

If the relationship between the hardware asset and the computer CI was created during an import (using Provance Data Management or CSV import), then the workflow will not include the relationship and you will not see incidents or other work items related to those hardware assets. The workflow targets the relationship between the CI and the work item, not the relationship between the hardware asset and the CI. The latter relationship is the one usually created during an import and would be overlooked by the workflow.

If you remove a CI from the hardware asset, the work items on the asset remain. You must remove the work items manually. Because there could be multiple CIs linked to the asset, the IT Asset Management Pack does not maintain a history of which work items come from which CIs once they are added.


Global administration settings

Administration > Settings > Provance Global Administration Settings

The Global Administrative Settings form is used to set the currency used in reports and the currencies visible in the management pack.

Currencies and exchange rates

Enter an exchange rate for each currency that needs to be converted to the base currency. In report calculations, currencies are always converted to the base currency, even if you have not entered an exchange rate. The default exchange rate of 1 is used when nothing has been entered. For example, the base currency is USD, the exchange rate for CAD is set at 0.97, and the GBP exchange rate is set at 1.4826. All financial values appearing in reports will be in USD. Any financial values entered as CAD will be multiplied by 0.97. Any financial values entered as GBP will be multiplied by 1.4826.

Visibility of currencies

Use the Visible column to choose the currencies that appear on selection menus and that can be chosen under the Base Currency option. You can limit the currency selections to those currencies that are applicable to your organization. If you have already entered values for any currency that is no longer visible, those values will remain in their old currency.

Base currency

A base currency is used as the currency displayed in all reports. It is useful when multiple currencies have been entered into your financial data. Regardless of what currencies have been entered, they will be converted to the base currency. For example, if your data uses all CA dollars (CAD), but the Base Currency is set for U.S. dollars (USD), then all CAD figures will be converted to USD in your reports. The conversion will be calculated based on the exchange rate set on the form. Enter in an exchange rate for every currency that you may be using in your data, in order for the reports to show accurate information.

By default, the base currency is U.S. dollars. You may change the base currency at any time.


Software administration settings

Administration > Settings > Provance Software Administration Settings

The following settings are available for administering software:

  • Software status thresholds

  • Exclude installed software through life cycle status

Software status thresholds

Both software assignment and licensing have a common threshold for showing their status. Licensing status indicators are used to show under and over licensing issues, as well as nearly under licensed software. Software assignment indicators show under and over assignment as well as almost under assigned issues. The default values given to the indicators support these states. Change the default values to suit your organization’s interpretation of over and under licensing. The status indicators for licensing appear on forms, views and in reports. The status indicators for assignments, as described here, are only used on the Software Title Assignment report. For more details on these indicators see Status indicators.

To change the thresholds for software licensing and assignment status indicators:

PREREQUISITE: You need to have Administrator privileges to change the thresholds.

  1. Go to the Administration workspace > Settings view.

  2. Click Provance Software Administration settings to change the thresholds for the status indicators. The Software Administration Settings form opens.

  3. In the Software Status Thresholds section, enter a threshold value for each of the color indicators. For more details, see Examples for licensing threshold and Status indicators.

    4. NOTES:

    The licensing status is green, or acceptable, for any values outside the three states mentioned on the form.

    Negative values are ignored and treated as zero.

  4. Click OK to complete the threshold changes.

The threshold settings for reports, views and forms will reflect the new values. To immediately update a software title with its new licensing status, click Recalculate Software Licensing Values.

Examples for licensing threshold

Let’s say your organization has 100 licenses for Adobe Acrobat 4.0 (a software item). As an asset manager you need to know when Acrobat becomes under licensed, which for you occurs when 100 or more copies of Acrobat have been installed. You also need to know when Acrobat is almost under licensed so you can prepare for it by purchasing more or harvesting existing licenses. To you, ‘almost under licensed’ occurs when there are 75 or more copies of Acrobat 4.0 installed. Lastly, you need to know when Acrobat 4.0 is over licensed, which for you occurs when 5 or less copies of Acrobat are installed. All other conditions — above 5% and below 75% of licenses — would be considered acceptable.

In this example, the setting for under licensed would be as follows:

to show when there are insufficient licenses or assignments available

Installed software items > = 100% of licenses or assignments

Which is in effect saying that Acrobat should be given a red status when it is under licensed or, to put it precisely, when there are 100 or more installed copies of Acrobat 4.0 on your network.

The yellow indicator has two possible states: over licensed and approaching under licensed. The setting for the color yellow as ‘nearly under licensed’, would be as follows:

to show when there is about to be a shortage of licenses or assignments

Installed software items > = 75% of licenses or assignments

Which is in effect saying that Acrobat should be given a yellow status when it is nearly under licensed or, to put it precisely, when there are 75 or more installed copies of Acrobat 4.0 on your network. The yellow status stays into effect until it reaches the red status setting.

The second setting for the color yellow, as over licensed, would be as follows:

to show when there is a surplus of licenses or assignments

Installed software items < = 5% of licenses or assignments

Which is in effect saying that software titles should be given a yellow status when they are over licensed. In other words, there are 5 or less copies of Acrobat 4.0 installed.

Exclude installed software through life cycle status

Software titles are removed from the Installed count when they are installed on a hardware asset whose life cycle status indicates that it is not being used; for example, software installed on a Disposed asset should not be included. Because these software titles are no longer considered installed, the licensing status of the software title changes for the positive. You may also decide that additional life cycle states should also be excluded. Use the settings on this page to exclude or include life cycle states in the Installed count. For more details about licensing status, see How software licensing status is calculated.


Contract administration settings

Visual indicators are used to indicate that contracts are going to expire in a certain number of days. The visual indicator for contract expiration is shown on a hardware asset, when it is linked to a contract, on the Contract Summary report and on the Hardware Asset Details report. In the case of a hardware asset, the message describing the expiration status of the contract is highlighted in red, yellow or green as a visual clue. Threshold settings define when each color appears on the asset. The settings apply to all types of contracts, both hardware and software. The default threshold settings are described in Understanding contract expiration indicators.

To change the thresholds for contract expiration indicators:

PREREQUISITE: You need to have Administrator privileges to change the thresholds.

  1. Go to the Administration workspace > Settings view.

  2. Click Provance Contract Administration Settings. The Contract Administration Settings form opens.

  3. Enter a threshold value for each of the color indicators: red and yellow.

    4. NOTE:

    If you enter the same value for both the red and yellow indicators, only the red indicator will appear.

  4. Click OK to save your changes to the thresholds.


User affiliation

Affiliation is a relationship between a user and one or more of the following: a cost center, a location and an organization.

You do not need to create a relationship between a user and all three items—cost center, location and organization. You can choose which combination of relationships are most important to your organization.

Creating an affiliation

Create affiliations between cost centers, locations and organizations and one or more users from the Configuration Items workspace>Users view.

To create an affiliation:

  1. Go to the Configuration Items workspace and click the Users folder.

  2. Select one or more users in the list.

  3. Click Manage Affiliation. The Manage Affiliation dialog opens.

  4. Add a location, organization and/or a cost center to the user. If you have selected multiple users, they will all receive the same affiliation.


Configuration of lists

Some of the lists on forms, such as the Type of hardware asset, can be modified. Depending on the list you can modify the names of existing values, create new values, and add children to values. For example, under the computer type of a hardware asset you could add server, desktop and laptop as children. You may also add your own types, such as a new hardware asset type called server.

Some lists have values that cannot be modified because they are in a sealed management pack, while others are in an unsealed management pack so they can be modified. But if you choose to modify the names of existing values or delete the existing values, your changes will be overwritten when you upgrade to a new version of the IT Asset Management Pack. Any customizations, however, are kept when you upgrade.

The following lists can be modified (Library workspace, Lists folder):

  • Agreement Life Cycle Status

  • Approval Status

  • Contract Time Frequency

  • Contract Transferability

  • Cost Event - Agreement

  • Cost Event - Hardware Asset

  • Hardware Asset Disposal Reason

  • Hardware Asset Life Cycle Status

  • Hardware Asset Type

  • ITAM Service Requests Submit by Type

  • License Pricing

  • Licensing Program

  • License Type

  • License Unit

  • Location Type

  • Milestone Type

  • Organization Type

  • Product Usage Rights - Language

  • Product Usage Rights - Region

  • Purchase Order Life Cycle Status

  • Purchase Order Line Item Status

  • Software Category

  • Software Manager Type

  • User defined agreement type

Important considerations

When adding types that need to be saved in an unsealed management pack, the best practice is to save them all in the same custom management pack. You will be prompted when a type needs to be saved in an unsealed management pack.

Other considerations are based on the type as described in the following sections.

Hardware asset type

If you are creating additional hardware asset types, such as desktop and laptop entries, the best practice is to create them as children of the Computer type. There are certain functions that are only available to assets of type Computer and to its subtypes; for example:

  • automatic linking of CIs to assets based on serial number, see Hardware asset and computer CI linking

  • the calculation of software licensing because it looks for hardware assets that are linked to Windows Computers with software items (installed software)

There are also additional internal behaviors and optimizations that make use of the type Computer.

Hardware asset life cycle status

Currently there is a workflow that ensures you are applying the correct life cycle status to an object. For example, you cannot install an asset that is disposed. This workflow will not recognize custom life cycle states or children added to existing states. If you create new life cycle states, then you may be permitting incorrect custom states to be applied to an asset.

Rules for creating ENUMs

If you need to import csv files into Service Manager for use with the IT Asset Management Pack, observe the following rules for your newly created list values:

  • When a new value has been added to a list, such as adding the Server as a new hardware asset type, the ENUM should be identical to that of the existing values.


Authoring tool components

The IT Asset Management Pack can be extended or modified with the Authoring Tool. For more details, consult the Deployment Guide for the IT Asset Management Pack.


History of activity

All asset records in the IT Asset Management Pack retain historical information. You can find out who made certain changes to an asset and when they were made. Examples of records that retain their history include hardware assets, software titles and software licenses.

Changes to the life cycle of a hardware asset are reported in the Hardware Asset Details report.


Importing vs. entering data manually

You have the option of either importing your data into the IT Asset Management Pack or manually entering data. Data may be imported using the Provance Data Management Pack or with the CSV import task in Service Manager. Refer to the IT Asset Management Pack Deployment Guide and the Service Manager online help for more information on importing data through the CSV import task. The Tasks pane contains manual create tasks for every form where data is required by the IT Asset Management Pack.

The asset management data that can be imported into the system can come from various sources, as the following examples show:

  • legacy data from another system

  • advanced shipping notifications

  • purchase order (PO) and invoice information

  • procurement or receiving systems


Relating items to an asset record

The following items can be related to an asset record in the IT Asset Management Pack: work item, knowledge article, file attachments and URLs. Establishing such links provides your assets with additional contextual information that can make it easier to manage them.

To add items to an asset, use the Related Items tab on the Hardware Asset form.


Creating asset management contracts

Contracts are managed within the IT Asset Management Pack to provide visibility into contractual obligations that affect the business and the IT Asset Management practice. Specifically, they are used as follows:

  • To help the service desk during resolution. Analysts can quickly assess whether or not an asset is covered by a contract

  • Prepare for negotiations with suppliers and vendors

  • Maximize support and service level agreements


Creating a disposal agreement

To create a disposal agreement:

  1. Go to the Contract Management > Disposal Agreements view.

  2. In the Tasks pane, click Create Disposal Agreement. The New Disposal Agreement form opens.

  3. Complete as many fields as you can. Take note of the following guideline for the General tab:

    4. Expiration Date: The expiration date is used to calculate when the agreement expires. See Associating contracts with hardware assets .


Creating a lease

To create a lease:

  1. Go to the Contract Management > Lease Agreements view.

  2. In the Tasks pane, click Create Lease Agreement. The New Lease Agreement form opens.

  3. Complete all of the fields on the General, Financial and Lease Schedule tabs.

  4. Click OK to save the lease.

You may now apply items to the lease.

See Also ▶

Managing your contracts

Contractual information


Creating a lease schedule

To create a lease schedule:

  1. Go to the Contract Management > Lease Agreements > All Lease Agreements view.

  2. Double-click a lease agreement to open it and go to the Lease Schedule tab.

  3. On the Lease Schedule tab, click Create. The Lease Schedule form opens.

  4. Complete all the fields on the General tab.

    5. Certificate of Acceptance (COA) Number: Each lease schedule has a COA which identifies the following: the client has accepted the device and the lease can start. Ideally, lease acceptance occurs before or on the Effective Date for the schedule.

  5. Click OK to save the lease schedule.

  6. Click OK to save the lease agreement.

The lease schedule is now applied to your lease agreement.

See Also ▶

Managing your contracts

Contractual information


Creating a software maintenance & support agreement

To create a software maintenance & support agreement:

  1. Go to the Contract Management > Software Maintenance & Support Agreements view.

  2. In the Tasks pane, click Create Software Maintenance and Support Agreement. The New Software Maintenance & Support Agreement form opens.

  3. Complete all of the fields on the General and Financial tabs.

  4. Click OK to save the agreement.

You may now apply software to the agreement.

See Also ▶

Managing your contracts

Contractual information


Creating a hardware maintenance & support agreement

To create a hardware maintenance & support agreement:

  1. Go to the Contract Management > Hardware Maintenance & Support Agreements view.

  2. In the Tasks pane, click Create Hardware Maintenance and Support Agreement. The New Hardware Maintenance & Support Agreement form opens.

  3. Complete all of the fields on the General and Financial tabs.

  4. Click OK to save the contract.

You may now apply items to the contract.

See Also ▶

Managing your contracts

Contractual information

Viewing the assets related to an item


Creating a warranty

To create a warranty:

  1. Go to the Contract Management > Warranty Agreements view.

  2. In the Tasks pane, click Create Warranty Agreement. The New Warranty Agreement form opens.

  3. Complete all of the fields on the General and Financial tabs.

    4. The Assets Under Warranty tab does not require any action. It contains assets that have been added to the warranty (performed from the asset).

  4. Click OK to save the warranty.

You may now apply assets to the warranty. Applied assets are listed on the Assets Under Warranty tab.

See Also ▶

Managing your contracts

Contractual information


Creating a user defined agreement

A user defined agreement allows you to manage a contract that is outside the predefined types of contracts provided with the IT Asset Management Pack. For example, you may have several quotes for disposal from different vendors and you wish to have them visible to everyone who has an interest. Each quote can be created as a separate user defined agreement and associated with the disposal agreement. You can either associate the quotes from the disposal agreement or associate the disposal agreement from each quote.

In addition to other agreements, user defined agreements can be associated with any CI. Only a user defined agreement can be the parent of another user defined agreement. A user defined agreement can have more than one association with other agreement types.

To create a user defined agreement:

  1. Go to the Contract Management > User Defined Agreements view.

  2. In the Tasks pane, click Create User Defined Agreement. The New User Defined Agreement form opens.

  3. Complete all of the fields on the General and Financial tabs.

  4. To associate the agreement with another agreement, complete the Associated Agreements tab.

  5. Click OK to save the agreement.

See Also ▶

Managing your contracts

Contractual information


Associating contracts with hardware assets

Contracts can be associated with hardware assets to provide additional visibility into the financial and contractual details relevant to a hardware asset. This includes a direct link from an asset to a warranty, an asset to a lease and an asset to a support contract, as well as to business contacts and contractual terms and conditions. With such a link, it is possible to view all of the assets related to the contract. You can also edit the contract directly from the asset. When a contract and a hardware asset are linked, a highlighted message in the asset indicates when the contract expires. The message highlighting is colored to indicate certain conditions, see Understanding contract expiration indicators.

To add an agreement to a hardware asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Find the hardware asset and select it in the list.

  3. In the Tasks pane, click Add to Agreement. The Add to Agreement wizard opens.

  4. On the Select Agreement Type page, select the type of agreement that you would like to add the hardware asset to. You may choose one of the following: a Hardware Maintenance and Support Agreement, a Lease or a Warranty.

  5. Click Next. The Select Agreement page opens.

  6. Click Add to find an agreement The Select Objects form opens. Use the Search Text field to refine the list of agreements when you cannot initially find the agreement.

  7. Select a support contract and click OK.

  8. For a warranty, if the date has not been set, click the date chooser in the Effective Date field and select a date.

  9. Click Finish to complete the wizard. The Addition Complete page opens.

  10. Click Done to close the wizard.

When you open the hardware asset, the General tab shows that the agreement is now linked. In the case of a lease schedule the Financial tab on the hardware asset indicates the lease information is now linked.

To remove an agreement from a hardware asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Find the hardware asset and select it in the list.

  3. In the Tasks pane, click Remove Agreement. The Select Agreement Type page opens.

  4. Select the agreement that you would like to remove from the hardware asset and click Next. The Confirm Removal page opens.

  5. Click Finish to confirm the removal of the agreement. The Removal Complete page opens.

  6. Click Done to close the wizard.


Managing your contracts

This section describes how to use the IT Asset Management Pack to record and discover important facts about your contracts, such as their status and the assets associated with them.

Using milestones

Milestones act as a historical record of important events that occur during the life of a contract. When entered in advance, milestones can spin off e-mail reminders that one is about to occur, such as a software audit due next month. Cost events can also be associated with a milestone. All cost events associated with a milestone are also added to the related contract. Milestones are added to a contract’s Financial tab. In summary, for each important milestone that takes place over the life of a contract, you can record when, why and how much.

To send out reminders about upcoming milestones, use e-mail notifications, see Creating notifications.

To associate cost events with milestones, use the cost event form.

Milestones can be given a type to classify them and make it easier to organize them together in the list presented on a contract. For example, if you are preparing for a true-up then you could select True up as the milestone type. Because they are considered a list, you can add, change or remove milestone types from the Library workspace > Lists view, see Configuration of lists.

Understanding contract expiration indicators

The IT Asset Management Pack provides visual clues that a contract is going to expire. The visual clues or indicators show that a contract is going to expire in a certain period of time, or that it already has expired. These indicators appear on a hardware asset, when it is linked to a contract, on the Contract Summary report and on the Hardware Asset Details report. All types of contracts, both hardware and software, have the same visual indicators. By default, the indicators are as follows:

  • indicates the contract has expired or is about to expire today.

  • indicates the contract expires 12 months from today.

  • indicates that the contract is valid because it expires in more than 12 months from today.

The thresholds for determining when these indicators come on can be changed from the Contract Administration Settings (Administration workspace > Settings view). For more details, see Contract administration settings.

Determining valid contracts

A contract is considered valid if its status is set to Active.

To determine if a hardware maintenance & support agreement, lease, software license agreement, software maintenance & support agreement, or a warranty is valid:

  1. Go to the IT Asset Management Pack workspace and expand Contract Management.

  2. Select the Active view for the type of contract you wish to review: Active Disposal Agreements, Active Lease Agreements, Active Software License Agreements, Active Software Maintenance & Support Agreements, Active Hardware Maintenance & Support Agreements or Active Warranty Agreements.

  3. An Active status indicates a valid contract.

Determining the assets associated with a contract

To determine the assets associated with a contract:

  1. Go to the IT Asset Management Pack workspace, expand Contract Management and select an appropriate contract view (disposal agreement, lease agreement, warranty agreement or hardware maintenance & support agreement).

  2. Find the contract in the appropriate view and select or open the item.

  3. In the Tasks pane, click View Related Hardware Assets.

In the case of a warranty, use the Assets Under Warranty tab.

This generates a view that displays all hardware assets associated with the selected contract.


Determining Contracts Coming up fpr Renewal

Top > Creating and Managing Asset Management Contracts > Managing your contracts > Determining contracts coming up for renewal or expiring

Determining contracts coming up for renewal or expiring

In order to prepare for contract negotiations you may wish to know if there are any hardware or software contracts that are coming up for renewal or about to expire. The following tools in the IT Asset Management Pack can be used to determine if a contract is coming up for renewal or about to expire.

  • reports: The Hardware Asset Management Dashboard shows hardware related contracts that are expired and about to expire. The Contract Summary report shows all the contracts coming up for renewal.

  • views: All views in the following folders show the expiration date: Disposal Agreement, Lease Agreement, Hardware Maintenance and Support Agreement, Software License Agreement and Software Maintenance & Support Agreement. You can sort these views by their expiration date to find agreements that are about to expire.

  • contract: All contract forms have an Expiration Date field that indicates the status of the contract.

  • subscriptions: You may also subscribe to a notification that will e-mail you when a contract is about to expire, see Creating notifications.

  • hardware asset: contracts associated with a hardware asset appear on the hardware asset form with a visual indicator and a message describing the expiration status of the contract. For more details, see Associating contracts with hardware assets.


Creating notifications

E-mail notifications are used to inform users, both Service Manager and external, about upcoming milestones as well as expiring licenses and contracts. The IT Asset Management Pack adds an e-mail notification capability to Service Manager that can be configured to provide notifications within any number of days or months before an expiry or effective date.

NOTE:

Notifications are configured independently from Contract Administration Settings. The latter provides visual indicators for expired contracts. A notification has no affect on the Contract Administration Settings. It is therefore possible to set your notifications for expired contracts to be different than those of the visual indicators.

Before you begin creating notifications

Set up the following, in the order shown, before you create a notification:

  1. Configure a notification channel to send the e-mail through, including the port and return address. Refer to the Service Manager online help for more details about enabling a channel.

  2. Create an e-mail template for the notification, with a subject and a body. The class of template you create must match the type of contract that you are creating notifications for.

  3. Ensure that there is an Active Directory connector created so you can select recipients for the notifications. Refer to the Service Manager online help for more details about setting up an Active Directory connector.

  4. Subscribe to the notification (for yourself or for others).

Creating an e-mail template

You need to create an e-mail template for each class of notification. For example, if the template is for expiring Hardware Maintenance & Support Agreements, then you need to create a template specifically for Hardware Maintenance & Support contracts. If the template is for expiring Lease Agreements, then you need to create a template for lease schedules.

The template possibilities are as follows:

  • Disposal Contracts

  • Hardware Maintenance & Support Contracts

  • Lease Schedules

  • Warranty Contracts

  • Software Maintenance Agreements

  • Software License Agreements

  • Software Licenses

As you can see, hardware notifications are all based on the contract, which is a mostly hidden subset of a hardware agreement. Software notifications are based on the agreement itself. Always match the class chosen in the template, with the object being tracked by the notification. For example, choose a Disposal Contract as the class and its corresponding Disposal Contract object when creating the notification. Do not choose Disposal Agreement as the class and Disposal Contract as the object being tracked.

To create an e-mail template for a notification on an expiring contract:

  1. Go to the Administration workspace and click Notifications > Templates.

  2. In the Tasks pane, click Create E-Mail Template. The Create E-Mail Notification Template wizard opens at the General page.

  3. Complete the fields on the General page:

    4. Notification template name: Enter a name for the template. Give it a name that you will recognize when selecting it for a subscription, such as E-Mail Template for Expiring Hardware Maintenance & Support Contracts.

    Description: Enter an optional description for the template.

    Targeted class: Click Browse to select a class for the template. The class must match the type of agreement or contract chosen in the Provance Notification wizard. You need to be particularly careful with hardware, where you must select the contract instead of the agreement. With Milestones on any agreement, the class is always Milestone. For example, if the template is for Hardware Maintenance & Support Contracts, then select that as the class. If the template is for Lease Schedules, select that as the class. You may need to change the View to All basic classes in order to see all of the available classes.

  4. In the Management Pack field, select the Provance Core Configuration Management Pack. You can store the template in the Default Management Pack, but doing so creates a dependency between the Default Management Pack and the Provance IT Asset Management Pack, which will result in an error if you later uninstall the IT Asset Management Pack.

  5. Click Next. The Template Design page opens.

  6. Complete the fields on the Template Design page:

    7. Send as HTML: Select this option if you wish the e-mail to be written in HTML.

    Message subject: The subject line of the e-mail. Enter a subject that will be recognizable, such as Expiring Maintenance & Support Contracts.

    Message body: The body of the e-mail. Enter any descriptive free form text to introduce the recipient to the content of the notification. Click Insert to add predefined content from the class. For instance, you can add the Description field content (name given to the contract), the Expiration Date, the Effective Date, and the Agreement Number. All of this would be important information for the recipient. The properties you can insert will differ slightly depending on the type of contract you have selected.

    NOTE:

    Agreement properties will not appear in an e-mail unless you select the Contains Contract class. For example, to have the Agreement Number, Description and Status appear in the e-mail, select as the Related Class, Contains Disposal Contract.

    Encoding: Select an encoding that corresponds to your environment.

    Urgency: Select an urgency flag for the e-mail.

    Language: Select a language that corresponds to your user’s environment.

  7. Click Next. The Summary page opens.

  8. Review your template settings and make any necessary changes by going back to the applicable page in the wizard.

    9. NOTE:

    Only some properties of the template can be edited after you create it. It is best to ensure that the template has been set up properly at this point, than to edit it after creation.

  9. When you are satisfied with the template, click Create.

Creating a subscription to a notification

To create a subscription to the notification:

  1. Go to the Administration workspace and click Notifications > All Provance Notifications.

  2. In the Tasks pane, click Create Provance Notification to create an e-mail notification. The Provance Notification wizard opens.

  3. On the Objects Tracked page, select the object that the notification will track for you: a software agreement, a hardware contract (if it is to track a hardware-related agreement), a software license or a milestone of an agreement. For more details about milestones, see Using milestones.

  4. If the notification is for an agreement or contract, select the type. The type and the Targeted Class on the E-mail Notification Template wizard, must be identical.

  5. Click Next. The Details page opens.

  6. Complete the following fields on the Details page:

    7. Notification Name: The name you wish to give the notification.

    Description: An optional detailed description of the notification and its purpose.

    Send notification: The number of days or months that you should be notified before the expiry date or, in the case of a milestone, the effective date.

    Notification Frequency: The number of notifications that should be sent every day or month.

  7. Click Next. The Group Selection page opens.

  8. On the Group Selection page select the group to which the notifications will be sent. Groups of users can be set up from the Library > Groups workspace.

  9. Click Next. The Template page opens.

  10. To select an e-mail template click Select. The Select E-mail Notification Template form opens.

    11. NOTE:

    If you do not see your e-mail template, there may be a mismatch between the class and the agreement or the contract chosen. The software agreement or hardware contract selected on the Objects Tracked page must match that of the class selected in the e-mail template.

  11. Select a template in the Templates list and click OK. The name of the template is added to the page.

  12. Click Next. The Recipient page opens.

  13. Click Add. The Select objects form opens.

  14. In the Filter by Class field, select a filter. Choose whichever filter suits your needs:

    15. Active Directory User: Displays all users in your active directory.

    Domain User or Group: Displays all users and groups in the domain.

    Active Directory Group: Displays the users and their groups in your active directory.

    Active Directory User or Group: Displays the groups of users and users in your active directory.

  15. Select one or more recipients for the notification and click Add. The users are added to the Select Objects list.

  16. Click OK. The Specify Recipients page opens.

  17. Click Next to review a summary of the subscription.

  18. Click Create to complete the notification subscription.

  19. Click Close to close the wizard.


Troubleshooting e-mail notifications

If you are not receiving e-mail notifications, ensure that they are not being sent to your Junk e-mail folder. It is possible to change the e-mail address that sends the notifications, to an address that is not considered as junk.

To change the return e-mail address for all your notifications:

  1. Go to the Administration workspace and expand Notifications > Channels.

  2. In the view, select E-Mail Notification Channel.

  3. In the Tasks pane click Properties. The Configure E-Mail Notification Channel form opens.

  4. Click Enable e-mail notifications.

  5. Enter your preferred e-mail address in the Return e-mail address field.


Understanding hardware asset relationships

Hardware asset management is performed through the following items:

  • hardware assets (computers, monitors, printers, PDAs, etc.)

  • hardware catalog items (provides a model and a refresh cycle)

  • related agreements, such as lease, disposal, maintenance & support and warranty agreements

  • configuration items (CIs)

The IT Asset Management Pack allows you to create a relationship between these items, as explained in the following sections. Some of the benefits that derive from relating these items together include: providing hardware assets with serial number and asset tag data, identifying assets whose related CIs are no longer found on your network, identifying CIs that are not related to hardware assets, providing hardware assets with a standardized model, tracking contracts coming up for renewal, and providing asset information to the incident management function.

Hardware assets, hardware catalog items and agreements all exist within the IT Asset Management Pack, while CIs are found on your network by Configuration Manager through a discovery process.

See Also ▶

Installing an asset

Reassigning children of an asset

Moving an asset

Swapping an asset

Retiring an asset

Disposing of an asset

Returning an asset

Creating and editing a hardware asset


Hardware asset

A hardware asset item tracks asset characteristics, ownership and financial information.

A hardware asset is usually linked to a computer CI and adds information from the CI, such as the software installed on the CI. But a hardware asset may be linked to another type of CI, such as a printer, or to no CI at all. An asset may be manually or automatically linked to any computer CI and manually linked to any other type of CI. A link that is created automatically is based on a match of the Serial Number and/or Asset Tag fields between the CI and the asset. For example, if you create a hardware asset item by importing a *.csv file based on invoice records, and the invoice information provides the serial numbers, the IT Asset Management Pack matches the Serial Number field that Configuration Manager picks up and places the CI into the hardware asset form, establishing a link. The same process applies to asset tags that are burned to the BIOS and can be discovered with System Center 2012 Configuration Manager. When you manually create the hardware asset and enter the asset tag and/or serial number, the link to the corresponding CI is established. The link to the CI can only be established if there is a match. If a match cannot be found on the serial number or the asset tag, no link is created between them. A link is also created in the reverse direction, from a computer CI to a hardware asset. When a new CI is added to Service Manager, or an existing CI is updated—either through the serial number or BIOS asset tag—a link is created to any matching hardware asset. For more details about the logic behind the hardware asset and computer CI link, see Hardware asset and computer CI linking.

You need to reconcile any discrepancy between the assets you have purchased and the assets not discovered by System Center 2012 Configuration Manager. A link may not be created automatically if the asset is not connected to the network, is in storage or is out for repair.

A hardware asset’s relationship to other items, either in the IT Asset Management Pack or in the Service Manager platform, is shown in the following figure.

Relationship of a hardware asset to items in the ITAM Pack and the SCSM platform

Hardware asset and computer CI linking

A hardware asset could be linked to a CI or a CI could be linked to a hardware asset. The logic used to link them depends on the direction of the link.

The logic used to link a hardware asset (without a link) to a computer CI is as follows:

  1. Search for a windows computer that has a matching serial number AND asset tag. Link the first unlinked physical windows computer and any unlinked virtual windows computers to the hardware asset.

  2. If a link to a physical windows computer was not found, search for any physical or virtual windows computer that has a matching serial number. Use the same logic as step 1 when linking to a physical and virtual computer.

  3. If a link to a physical windows computer was not found, search for any physical or virtual windows computer that has a matching asset tag. Use the same logic as step 1 when linking to a physical and virtual computer.

The logic used to link a computer CI with a hardware asset is as follows:

  1. Search for any hardware asset that has the same serial number and asset tag as the unlinked windows computer. For those that are found:

    2. • If the windows computer is a physical computer, link the first unlinked hardware asset to the windows computer.

    • If the windows computer is a virtual computer, link the first hardware asset (linked or unlinked) to the windows computer.

  2. If a link could not be established, search for any hardware assets that have the same serial number as the windows computer. Use the same logic for physical and virtual windows computers as step 1.

  3. If a link still could not be established, using the same logic for physical and virtual windows computers, search for any hardware assets that have the same asset tag as the windows computer. Use the same logic for physical and virtual windows computers as step 1.

See Also ▶

Creating a hardware catalog

Creating and editing a hardware asset

Cost events


Hardware catalog item

A hardware catalog item provides standardized manufacturer, model, refresh cycle, and supplier information for your hardware assets. A hardware catalog item is directly linked to one or more hardware assets. For example, a company has made a bulk purchase of ThinkPads, Model XYZ. This is a standard purchase for the company. A hardware catalog item containing additional information related to the make and model (ThinkPad Model XYZ) of the lap top, as well as a link to manufacturer and preferred supplier, is created prior to a hardware asset. Hardware assets are then created, perhaps through a bulk import of your purchase data, and the links to their hardware catalog items are manually established from the hardware assets. For more details about creating a link, see Creating a single hardware asset.

A refresh cycle is important when trying to limit exposure to an event, such as warranty expiration. For example, a three year refresh cycle for a Lenovo ThinkPad T510 laptops means that those laptops, based on model, that were first in, based on received date, will be first out.

A hardware catalog item also provides an image and a cost that can be associated with a service catalog request offering.


Contractual information

A hardware asset can have different types of contracts associated with it. Some contracts exist for the duration of the asset’s life cycle, while others only exist for a certain period of time. When a hardware asset is associated with a contract, its form has a visual indicator showing the status of the contract (expired or about to expire). In the case of a lease, the date the item was returned is also included on the hardware asset form. Associating assets with contracts also means you can view the assets related to a specific contract.

Using the Service Manager notification tool you can set up an e-mail reminder that notifies you when any hardware contract is about to expire.

Here are the possible contracts that a hardware asset can have associated with it:

  • maintenance & support

  • lease schedule

  • warranty

  • disposal

See Also ▶

Associating contracts with hardware assets

Creating asset management contracts

Understanding contract expiration indicators

Creating notifications

Viewing the assets related to an item


Ownership

The owner is the person who is in possession of a hardware asset. Owners are available to the IT Asset Management Pack from Service Manager user CIs, which are usually populated through the Active Directory connector.

Ownership information can also include an organization and a location for the asset. Use the ownership to help service desk analysts locate an asset if a service call needs to be made.


Before you begin managing hardware assets

The following table contains a summary of what you need to set up before you can perform hardware asset management.

Step | Description
1. Create Organizations, Cost Centers, and Locations. | Although these can be added individually, and even reorganized subsequently, it is helpful to normalize and standardize these in advance.
2. Create Warranty, Hardware Maintenance and Support, and Lease Agreements. | Although these can be added individually, and even reorganized subsequently, it is helpful to normalize and standardize these in advance.
3. Create a hardware catalog. | The hardware catalog provides model, type, manufacturer, and supplier information for hardware assets.
4. Create hardware assets. | If necessary, link each hardware asset to a CI—usually a Windows computer CI—through the serial number and/or asset tag.
5. Add agreements to the hardware assets. | Relate agreements to hardware assets so you can keep track of when an asset’s agreement needs to be renewed.
6. Add owners, locations, and financial information. | Add this information to your assets so you can easily find the location, person responsible, and identify its cost center.
7. Assign software to your assets. | Assign software titles to the hardware asset, either from the hardware asset form or from the software title form. Assigning software titles to hardware assets does not impact your software licensing position, but it does help you track hardware asset assigned software, non-discovered software, and high cost software.


Creating a hardware catalog

A hardware catalog provides a refresh cycle as well as standardized manufacturer, model and preferred supplier information for your organization. For example, many hardware assets often have the same manufacturer and model number, such as Lenovo T500. Having standardized manufacturer, model and supplier information helps when conducting refresh programs and determining investment by manufacturer. The creation of a complete hardware catalog is the first step to managing your hardware assets using the IT Asset Management Pack.

Creating a hardware catalog item

Every hardware asset has a corresponding hardware catalog item. The catalog item should exist before the asset is created, as it provides additional details about the hardware asset. A hardware catalog item contains general information, links to related items in the Service Manager CMDB and a history of changes made to the item.

To manually create a hardware catalog item:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Catalog.

  2. In the Tasks pane, click Create Hardware Catalog Item.

  3. Complete the fields on the General tab and click OK to create the catalog item.

Note: Both an Image and a Cost are required if you wish to generate a service catalog request offering.

See Also ▶

Introduction


Creating a Hardware Asset

Creating and editing a hardware asset

Hardware assets can be manually created or edited, in singles or in multiples. Hardware assets can also be imported in bulk (using the import csv task in Service Manager or the Provance Data Management Pack). For more information about bulk importing, refer to the Service Manager online help and the IT Asset Management Pack Deployment Guide.

Creating a single hardware asset

During asset creation, entering financial, organizational and ownership information benefits IT asset managers, help desk agents and other parties during the life cycle of the asset.

To create a single hardware asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. In the Tasks pane, click Create Hardware Asset. The New Hardware Asset form opens.

  3. Enter asset information on the General, Financial and Hierarchy tabs and click OK to save the asset item. Here are some guidelines for completing the form:

Planned Refresh Date: The refresh date is calculated automatically from the received date and the duration. Set the duration in the hardware catalog item. If you subsequently modify the received date, the refresh date is not modified. Also, if you enter your own refresh date, the calculation is not performed.

Duplicate asset tags and serial numbers can be entered, providing that an Administrator has enabled the options for entering them, see Hardware administration settings.

NOTE:

By default the Asset Name is maintained by the management pack. It comprises the asset tag and the model. If you wish to maintain it using your own nomenclature, use a Hardware Administration setting, see Hardware administration settings.

If an automatic link is not established between a hardware asset and a computer CI, create the link manually:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Find the asset you wish to link to the CI and double-click it. The Hardware Asset form opens.

  3. On the General tab, Configuration Items area, click Add. The Select Configuration Item form opens.

  4. Find the corresponding CI in the list and click OK to select it.

  5. Click OK to save the relationship between the asset item and the CI.

  6. Click OK to save the hardware asset.

Creating multiple hardware assets

If you have received a number of similar assets, use the Create Multiple Assets wizard to apply the same asset information to them. In addition to applying common attributes, you can also customize the attributes of individual assets.

It is best to limit the number created in bulk to 50. If you need to create more than 50, consider importing them using a *.csv file or a SQL Server query (using the Provance Data Management Pack).

To create multiple hardware assets:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. In the Tasks pane, click Create Multiple Hardware Assets. The Create Multiple Hardware Assets wizard opens.

  3. Enter in the general and financial information to be used for all the assets you are creating. The final step of the wizard allows you to change the attributes of any hardware asset, such as asset tag and serial number, and enter in unique values.

    4. Duplicate asset tags and serial numbers can be entered, providing that you have enabled the options for entering them, see Hardware administration settings.

  4. Click OK to save the asset items.

NOTE:

Ensure that your assets are associated with CIs. If they are not, manually add the CIs to the hardware assets.

Editing a hardware asset

Hardware assets can be edited in singles or in multiples. When editing multiple hardware assets, you can only change the fields that are common between them; all other fields are unique to each asset.

To edit a hardware asset:

>> Select a single hardware asset and click Edit.

OR

>> CTRL+select multiple hardware assets and click Edit Multiple Hardware Assets.


Working with Parent-Child Relationships of Assets

Working with parent-child relationships

Parent-child relationships are used to connect related assets together. These relationships can be used when relating a computer and its peripherals, the assets in a lab, or even assets that are assigned to a specific user. In the event the parent asset changes, for example when a user receives a new PC, all child assets can be quickly reassigned to a new parent. Change activities, such as install, move, swap, retire, return and dispose may have parent-child implications. The IT Asset Management Pack enables you to set up a relationship so that when a change occurs, the relationship can be transferred or kept as necessary.

Relationships can be modified at any time, such as when new assets are added or when assets are no longer related to the parent or child. For more details on how parent or child relationships are handled during a specific task, such as a swap, please see the specific task in this guide.

Key points to remember

  • a child cannot have more than one parent

  • a child can also be a parent

  • a child could be the parent of one or more items


Viewing or Changing Parent-Child Relationship of an Asset

Top > Working with Hardware Assets > Working with parent-child relationships > Viewing/changing parent-child relationship of an asset

Viewing/changing parent-child relationship of an asset

To add, view or change the parent or child relationship of an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Find the asset and double-click it.

  3. Click the Hierarchy tab. The existing parent and children of the asset are contained on the Hierarchy tab.

  4. Select a new parent and/or children for the asset.

  5. Once you have established relationships with parent or child assets, click OK to save the relationships and close the form.


Reassigning children of an asset

You can reassign the children of one asset to another asset. The children of an asset are reassigned if they are not going to receive the same status as the item being moved, swapped, disposed, returned or retired.

To reassign the children of an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset whose children will be reassigned and in the Tasks pane click Reassign Children. The Reassign Children form opens.

  3. In the New Parent field click Add or Create to create a new parent asset for the children.

  4. Click OK to complete the reassignment.


Life cycle management tasks

The IT Asset Management Pack provides the following life cycle asset management tasks:

  • install

  • move

  • return

  • swap

  • retire

  • dispose


Installing an asset

An install task is performed when a hardware asset is delivered to the person receiving it and deployed at that person’s location. When you install an asset, specify the following: the person the asset is assigned to, the location and the cost center. You can install multiple assets at the same time.

PREREQUISITE: The asset must have a status of received, stored or retired in order to be installed.

NOTE:

You cannot install an asset if the status is disposed, ordered, requested, returned, shipped or installed. If the asset is already installed, use the move task instead.

To install an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset or assets to install and in the Tasks pane click Install. The Install form opens.

  3. Complete the fields on the form.

  4. Click OK to complete the install. The status of the asset is set to installed and the new information is reflected in the hardware asset item.


Moving an asset

A move is performed on an installed asset that is changing its location. It may be moving to another building, office or to storage. You can move multiple assets at the same time.

PREREQUISITE: The asset must have a status of installed, received, retired or stored to be moved.

NOTE:

An asset cannot be moved if it has a status of disposed, ordered, requested, returned or shipped.

To move an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset or assets to move and in the Tasks pane click Move. The Move form opens.

  3. Complete the organizational and financial information on the form.

  4. Select a status from the Set Life Cycle Status To field to change the status of the asset.

  5. Select whether or not you wish to move all child assets.

  6. Click OK to complete the move.


Swapping an asset

A swap occurs when a user’s hardware asset is replaced with another. By default, the swap retires the original asset, while the new asset automatically inherits the software assignments, location, cost center, organization, assigned to and child assets. However, some of these default settings can be changed as part of the swap task. The original asset retains its cost center, organization and all other relationships.

PREREQUISITE: The asset must have a status of installed, received, retired or stored to be swapped.

NOTE:

Assets cannot be swapped if they have a status of disposed, ordered, requested, returned or shipped.

To swap an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset to swap and in the Tasks pane click Swap Hardware Asset. The Swap form opens.

  3. In the Hardware asset field, click Add or Create if the replacement hardware asset has yet to be created.

  4. Determine whether you wish to reassign child or parent hardware assets as part of the swap by selecting the appropriate check box.

  5. In the New location field, click Add or Create to create a new location for the swapped hardware asset.

  6. Select the Life cycle status of the swapped hardware asset.

  7. Click OK to complete the swap.


Retiring an asset

An asset is retired when it is being placed into storage, prior to disposal, or when it is at the end of its life cycle. You can retire multiple assets at the same time.

PREREQUISITE: The asset must have a status of installed, received or stored to be retired.

NOTES:

An asset cannot be retired if the status is shipped, disposed, ordered, requested, retired or returned.

Retiring an asset removes its parent relationship. The parent asset needs to be retired separately. Child assets can be retired at the same time as their parent asset, but this step is optional.

Installed licenses are maintained on the retired assets and retained in counts in all views and reports.

To retire an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset or assets to move and click Retire. The Retire form opens.

  3. Enter a Location for the retired asset.

  4. If you do not wish to retire child assets, deselect the Retire all child assets check box.

  5. Click OK to complete the retire.


Disposing of an asset

Assets that have reached the end of their life cycle and are no longer useful to an organization can be disposed. Disposal may be done by an external company to ensure that the assets are disposed in accordance with applicable legislation. During a disposal the IT Asset Management Pack lets you record information about the disposal company, the disposal agreement, disposal certificate and the reason for the disposal. You can dispose of multiple assets at the same time.

PREREQUISITE: The asset must have a status of installed, received, retired or stored to be disposed.

NOTES:

Assets cannot be disposed if they have a status of disposed, ordered, requested or returned.

Parent-child relationships are affected by a disposal as follows:

  • The disposal task removes the parent relationship. The parent asset needs to be disposed of separately.

  • If you need to reassign the children of a disposed asset to another asset, edit the asset prior to initiating the disposal task. You cannot reassign the children of an asset during the disposal task. While editing the asset, review its children and reassign them using the Reassign Children task.

Assigned licenses are removed from disposed assets. To update the licensing count, uninstall the software from the assets. When Configuration Manager no longer detects the software during the discovery process, the IT Asset Management Pack updates the Installed Licenses count (available on a software title).

To dispose of an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset or assets to dispose and in the Tasks pane click Dispose. The Dispose of Hardware Asset form opens.

  3. If you are not disposing of the child assets, deselect Dispose of child assets. Otherwise, leave the option selected and the children will be given the same status as the parent.

  4. Enter a Location for the asset.

  5. Enter a Certificate Number and select a Reason for the disposal. A certificate number is proof that an asset has been ethically disposed of according to legislation.

  6. Enter a Contract (for the disposal) and a Description.

  7. Click OK to complete the disposal.


Returning an asset

An asset can be returned after a lease has expired. A return automatically removes all assignments (software and users) and all links to parent and child assets.

PREREQUISITE: The asset must have a status of installed, received, retired or stored to be returned.

NOTES:

Assets cannot be returned if they have a status of shipped, disposed, ordered, requested or returned.

If you include all child assets in the return, their assignments (software and users) and links to parent and child assets are also removed.

To return an asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select the asset or assets to return and in the Tasks pane click Return. The Return form opens.

  3. If you wish to also return the child assets, and give them the same location, select Return child assets.

  4. Enter a Return Date and a new Location for the asset.

  5. Click OK to complete the return.


Marking a hardware asset for review

You can place an alert on a hardware asset indicating that it should be reviewed. A hardware asset could be marked for review because it was added to the management pack by an automated process or because it is eligible for replacement. The Alert flag shows up on the right-hand side of an asset form as a tab entitled Alerts. The Alerts tab is only visible when there is an alert on the asset; the tab disappears when the last alert is deleted.

The only type of alert supported is the manual Mark for Review. Review notes can be added to the Alerts tab as the review progresses. Review notes can be removed when they are no longer applicable. All hardware assets with alerts are grouped together in the Hardware Assets with Alerts view.

Alerts are not tracked in the data warehouse; nor is any history kept on an alert once it has been deleted.

To mark a hardware asset for review:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select a hardware asset.

  3. In the Tasks pane, click Mark for Review. The Mark for Review dialog opens.

  4. Enter Notes for the reviewer. Notes will appear on the Alerts tab, with a time and date stamp.

  5. Click OK to add the notes and mark the asset for review.


Finding assigned and installed software

Use the Software tab on a hardware asset to see the software assigned to the asset and the software installed on the asset. The Installed Software section may show software installed on virtual machines of the asset.

To find the assigned and installed software of an asset:

  1. Go to the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Open a hardware asset in the list.

  3. Select the Software tab.

  4. Review the assigned and installed software for the asset.


Preparing for a hardware refresh program

The purpose of a refresh program is to identify IT assets that need to be replaced. For example, you may be recycling lap tops every three years and you need to identify all three-year old lap tops. Another example is the mass replacement of assets due to a product recall. The IT Asset Management Pack provides you with the tools to perform both types of refreshes. If necessary, you may also consult the Software tab of the hardware asset to determine what software is installed on it.

To identify assets by their age:

  1. Go to the Reporting workspace and expand IT Asset Management > Hardware Asset Management.

  2. Run the Hardware Asset Management Dashboard.

  3. In the Age of Asset section, click an age group to drill through to the Hardware Asset Inventory report, filtered by the age you selected.

To identify assets by their model:

  1. Go to the IT Asset Management workspace and expand the Hardware Asset Management > Hardware Catalog > All Hardware Catalog Items view.

  2. Select the catalog item that has the same model as the assets you need to identify.

  3. In the Tasks pane, click View Related Hardware Assets. The Search Results form opens with a list of the hardware assets having the same model as the catalog item.


Understanding software asset relationships

The key to managing software assets is understanding the difference between what has been licensed and what has been installed. The IT Asset Management Pack uses the following items for software asset management:

  • software titles

  • software licenses

  • SKUs

  • software license and software maintenance agreements

  • software items

The first four items are defined in the Provance IT Asset Management Pack, while software items come from the connector to System Center 2012 Configuration Manager.

We determine what has been installed through discovered installation data. Installation data is provided by creating a relationship between the Windows computer CI (created by the Configuration Manager connector), the software (created by the Configuration Manager connector from Configuration Manager Asset Intelligence data), and the hardware asset. Indirectly this creates a relationship between the hardware asset and a software title, see the following figure.

Relationship of software title to items in the ITAM Pack and the CMDB


Software title

A software title is a software application you can manage with the IT Asset Management Pack. A software title has one or more versions included in it. Each version can be linked to one or more software items that were discovered by System Center Configuration Manager. A software item represents a single discoverable version of a software application, so linking several software items into one software title helps simplify software asset management. This link can be established while creating the software title.

Example of software versions

The software items MS Office Enterprise 12.0.1.1000 and MS Office Enterprise 12.0.1.2000 can both be related to a single software title called Office Enterprise, whose version is 2007. You can easily manage multiple versions together by relating them in this manner. The Software Item to Title Mapping view shows the relationships you have created between software items and software titles through the versions. It is also possible to see the hardware assets related to each version, see Viewing the assets related to an item.

When you have related several software items to a version, then those items are considered as one install, should they appear together on the same windows computer CI. In the previous example, if both items 12.0.1.100 and 12.0.1.2000 are installed on a computer, MS Office Enterprise version 2007 would only show 1 install against it. This behavior permits administrators to map language packs within the software version, if the same license needs to be under the same version.

Software Title and its Relationships shows the key attributes of a software title, their relationship to one another and to other items in the CMDB.


SKU

A stock keeping unit, or SKU, is fundamental when determining software licensing. The SKU represents what has been bought, which is a configuration that the publisher is offering. The SKU indicates the base quantity that licenses are sold in, for instance a five-pack. The SKU also defines the specific set of usage rights that it provides. A SKU is linked to a specific version of the software title. In summary, the SKU provides additional information regarding the type of license, pricing, usage rights and quantity of licenses purchased. It may be created while you create a software license, unless you have a repeat purchase, in which case you would use existing SKUs.

If a SKU is missing any of the following items, it is added to the All SKUs Missing Information view:

  • Publisher

  • Software Title

  • Version

  • License Quantity

  • License Unit

  • Includes License

  • Includes Maintenance & Support

See Also ▶

Understanding software asset relationships

How to prepare for software asset management: Before you begin managing software assets

Creating a software SKU


Software license

A software license represents the purchase of a SKU. Each time you purchase that SKU you create a software license. You can therefore purchase five identical SKUs and track them separately from any previous purchases. Each purchase can be linked to different a cost center, organization or location. The licensing rules are defined at the SKU level and therefore all licenses associated with that SKU have the same rules applied.

The software license quantity refers to the purchase of one or more of the same SKUs. If a customer wanted 100 licenses of a product, and the SKU came in a 5-pack, then they would purchase 20 SKUs. Therefore, the SKU quantity multiplied by the license quantity equals the total number of licenses. This total is referred to throughout the IT Asset Management Pack as the “Total Licenses”.

Using the same example, if a customer purchased 100 licenses in October, and another 120 licenses in November, this would be represented as two licenses — license A with a quantity of 20, dated October, and license B with a quantity of 25, dated November. If the SKU (agreement) included 1 year of free maintenance, then the first 100 users assigned and installed under license A would continue to have support until next October. Those assigned under the second license would continue to have support until next November.

You link a software license to a SKU and a license agreement. This provides the software title, through the SKU, with its licensing information. The IT Asset Management Pack calculates your total entitlements for each software title and summarizes them in the Software Titles Tracked by Installation view, Licensing Status and Entitlements columns.

About assignment of software

Because SKUs may carry different usage rights, individual software title entitlements may have different usage rights. To help align the user or hardware asset with its entitlement and usage rights, the IT Asset Management Pack allows you to assign both at the software title level and at the software license level. In fact, software assignments can be made through the software title to a software license and to one or more license keys.

Assigning at the license key level also allows you to track a specific user or hardware asset and a license key together when deploying and when recovering or re-assigning.

The best practice, however, is to assign a user or hardware asset to a software title. Assigning at the license or key level keeps that license with the user, regardless of whether the person needs the license or not. During the calculation of your licensing position, any assigned license or key always stays with that user or asset. If you assign at the software title, then the assignment may be satisfied by any combination of licenses. The best fit calculation is free to use whatever combination it requires to satisfy both the assignment and the installations that are out there. The best fit calculation does not have this freedom when you assign at the license or key level.

When your software licensing position is calculated, assignment is used as a means of identifying priority to users or assets with assignment. For more details see Assignment and licensing status.

See Also ▶

Assignment and licensing status

Understanding software asset relationships

How to prepare for software asset management: Before you begin managing software assets

Creating software licenses


Software Agreements

Top > Preparing Software Asset Data > Understanding software asset relationships > Software agreement

Software agreement

There are two types of software agreements: Software License Agreement and Software Maintenance & Support Agreement. A Software License Agreement describes the terms and conditions of a software license. A Software Maintenance & Support Agreement describes the terms and conditions of the maintenance and support for a software license.

All agreements can have effective start dates and expiration dates. These dates are used to help identify when a contract is going to expire. For more details, see Understanding contract expiration indicators.

Software agreements can be given a cost center, a location, an organization, and a supplier. Use them to relate agreements to a purchasing group as you would with a software license.

Software License Agreements can have parent-child relationships so that a master agreement can have subsidiary agreements. Use the Hierarchy tab to create parent-child relationships on a Software License Agreement.

See Also ▶

Creating a software license agreement

Understanding software asset relationships

Allocating software licenses


How software licensing status is calculated

Best fit is the calculation used to determine your licensing status. It employs several features that increase the accuracy of each software title’s licensing status. Best fit ensures that versions and version rights, which are captured by a SKU, are taken into account. They are defined as either a base license with the ability to downgrade to another version, or an upgrade license with the ability to upgrade or downgrade to another version. Best fit also ensures that any assignments you make are considered first when matching licenses to installations.

The following items are not included in the calculation of licensing status:

  • Allocations

  • Automatic software maintenance upgrade rights.

  • Software titles with a status of Inactive (for more details see also Licensing Status is Derived from Versions)

Topics

Assignment and licensing status

Understanding the licensing status concepts

The rules best fit follows

Best fit, step by step

Interpreting licensing values on a title

Example for best fit

Assignment and licensing status

Assignment plays an important role during license calculation. It is first used as a means of ensuring assigned titles and licenses are given priority. Secondly, you may shift the focus of your software licensing position, for a given title, to assignment. Thirdly, you can employ assignment as a means of choosing which licenses are considered during license calculation and which are not considered during license calculation.

  1. Any assignments you make, regardless of the target (user or hardware asset), are satisfied first when matching installs to licenses. Any user or asset assignments to a license or a license key, will be satisfied first during license calculation. Any assignments made to a software title are then satisfied. Naturally if you made an assignment but the software is not actually installed on the item, it will affect your available licenses. Check your assignments on a software title to ensure there are no mismatches—an asset or user that does not have the software installed or has a different version of the software installed. Open a software title and click Details to check the assignment of licenses. Tabs on the Licensing Details dialog show the assignments that were covered by licenses and the assignments that were not covered by licenses.
  2. Whereas licensing status is normally a comparison of installed software versus available licenses, it can be changed to assigned software versus available licenses. Switching the focus of your licensing position is useful when you have a CAL (Client Access License), where users have no installed software. A software title provides the ability to change the licensing position through its Track licensing status by: Installations or Assignments option. Once the option is changed, you should execute the Recalculate Software Licensing Values task. Titles that are tracked by assignment show up in the Software Titles Tracked by Assignment view.

When a title is tracked by assignment the licensing status columns are removed from the Software Versions table. Licensing status information is kept in the database and redisplayed when you switch the title back to being tracked by installations.

  3. You may force the license calculation to only use licenses with your permission, i.e., use only assigned licenses associated with a SKU. Use assignment of licenses as a means of controlling which licenses are used by the licensing calculation. Set the Use only when assigned option on the SKU to consider only those of its licenses having assignments when calculating your licensing position. Likewise, any licenses associated with the same SKU that have no assignment are disregarded during license calculation. One use of Use only when assigned is with core licenses which need to be manually calculated. Normally the licensing calculation would consider all licenses associated with a SKU when determining your licensing position. However with some licenses, such as core, you need to manually calculate the exact number required to cover an install. In this example, create assignments for those core licenses that you want to include and set the Use only when assigned option on their SKU. The licensing calculation will only consider the core licenses that are assigned and disregard the licenses that are not assigned. Bear in mind that regardless of the option’s setting, all licenses are counted in your total entitlement.

Understanding the licensing status concepts

The best fit calculation compares installed versions with licensed versions (entitled versions) and determines what is required to satisfy your installations. The best fit calculation intelligently distributes your entitled base and upgrade licenses across your installations. These version rights are integral to the calculation and must be entered accurately for all of your SKUs. You can have an affect on the calculation by using assignment as a priority, see Assignment and licensing status.

Licenses and version rights

Versions are connected to installations through software items. In System Center 2012 Configuration Manager, a software item represents a discovered version of installed software. In the management pack, installations are mapped to versions through the Software Catalog, where a software item is mapped to a software version and a software title (see Using the software catalog).

Licenses are purchases of a specific SKU. A SKU has a main version, which is the version of software that it was purchased under, and it can have version rights (upgrade and downgrade rights). Even SKUs associated with the same main version can have different version rights, so version rights are defined at the SKU level. This means, however, that all licenses associated with a SKU will have the same main and version rights.

In addition to main and version rights, licenses can have start and end dates. Licenses can therefore expire, as in the case of subscription-based licenses. While all licenses remain within the system for audit purposes, licenses will be excluded if the start and/or end dates make them ineligible to be used towards your entitlement.

This means that in some cases, the permutations in versions (rights and obligations) might return a false-false situation (falsely indicates a status of red). However, best fit is designed to ensure that no false-positive status is calculated, i.e, it will not show a green status unless a version is covered. The occurrence of a false positive depends on the order of the license purchase, the specific versions and their rights. It may appear that a specific version, while having sufficient licenses (base plus upgrade), is incorrectly given a status of red, while another version that does not have sufficient licenses, is given a status of green. Due to the concept of entitlement, the rights (upgrade or downgrade) from one version can be added or subtracted from the remaining usable licenses of another version. If you are in doubt as to how the licensing status was calculated, click the Details button on the software title, Software Versions section. The details show you a complete diagram of the calculation for each version. It includes the licenses, installs, upgrades, downgrades and a final status.

In addition to being an upgrade or a downgrade, a version right could be an Edition or a Competitive upgrade. Either of these scenarios can be entered into the SKU as a downgrade or upgrade from one product to another and/or one version to another. Competitive and Edition upgrades are performed by adding upgrade rights to different publisher, title and versions on the SKUs. For instance, Microsoft Office Enterprise may be able to use a Microsoft Office Professional base license. This is called an Edition upgrade. In a competitive upgrade, it may be possible to upgrade from Adobe RoboHelp to WebWorks Professional, two similar products from different manufacturers.

Licensing status is derived from versions

While licensing status is ultimately calculated for a software title, it is in effect a roll-up of a version by version calculation. In other words, the licensing status for each software version is calculated first and then all the versions are used to calculate the licensing status of the software title. If all software versions are green, the title is green. If any software version is red, then the software title is red. If any software version is yellow, then the title is yellow. For more details about license status indicators, see Status indicators.

The licensing status reported by the management pack is not intended as a legally supported measurement of your position, but rather an indicator of your licensing status. You should carefully review all of the values presented on the software title as part of the best fit calculation. To help you better understand the values presented, review the explanation given for them under Interpreting licensing values on a title.

NOTE:

Licensing status is not calculated on a given software title if its Status is set to Inactive. However, the Installed Quantity of an inactive title will continue to be reported and the license count will be updated accordingly.

The rules best fit follows

In order to understand how the best fit calculation behaves, here is a summary of the rules that it follows:

  • Each user or hardware asset must have a base license.

  • An upgrade cannot be installed without a base license. Through forms, reports and views, the management pack shows you when your installed versions do not match the base plus upgrade versions available.

  • A license can only be used once.

  • When you have related several software items to a version, then those items are considered as one install, should they appear together on the same windows computer CI. For more details, see Example of software versions.

  • An upgrade license can either use its downgrade to version or its upgrade from version, but not both.

  • If the base license does not cover the version it is trying to match, then it might take an upgrade license, either as an upgrade from an older version or a downgrade right on the base license from a newer version.


Best fit, step by step

The best fit calculation determines the licensing path of active titles using the following process. The process is also represented in diagram form on the software title form (under Software Versions, click Details).

  1. It removes all existing best-fit, or system, assignments, i.e., those assignments that were automatically made to hardware assets or users during the last calculation. Manual assignments made by you are left intact.

  2. Determine the base licenses available (i.e., those you are entitled to, excluding those that have expired).

    3. This is calculated from the license and the SKU, which designates a license as a base or an upgrade. A version is associated with the base license. So you are entitled to have X number of base licenses of a particular version. Excluded from your base licenses are those that have expired (based on their start and end dates).

  3. Determine what versions you are entitled to upgrade from or downgrade to.

  4. Based on what is installed, determine the start and end points (i.e., start and end versions). In other words, how many software titles and versions do we need to satisfy our installations? It determines what is installed through the connector to System Center 2012 Configuration Manager. Removed from the installed list are those software items that have been installed on a hardware asset with an excluded life cycle status, see Exclude installed software through life cycle status.

  5. It finds and satisfies all manually assigned licenses or license keys. It does not matter if the user or hardware asset assignee actually has the software installed, it will still assign a license. If the correct version and software that we are attempting to satisfy is installed on the asset or associated with the user, then that is the version used. However, if the incorrect version is installed, best fit determines how best to satisfy that version. It will go through all the versions until it finds a path that will satisfy the installed version.

  6. Next it finds and satisfies manually assigned software titles to users or hardware assets. If an assignee does not have the software installed, best fit assigns a license, but it could be for any version. If the software is installed, then best fit finds and assigns the matching license and version.

  7. Best fit now finds and satisfies all other users and assets who do not have an assignment, but who have the software installed. Best fit automatically assigns them a temporary license, You may wish to change these to manual assignments so they are given priority during the next calculation.

  8. Summarize findings on the software title and in reports. The software title has two summaries: in table format in the Software Versions sections and in diagram format through the Details button. For a description of the values presented in the findings, see Interpreting licensing values on a title.

See Also ▶

Understanding the licensing status concepts

The rules best fit follows


Interpreting licensing values on a title

The values used to calculate your licensing position are presented on the software title (but only when its licensing status is tracked by installations). The following table describes all of the values and how to use them to understand your licensing position. It is important to understand that the calculation of some values changes depending on the focus — title or version. When a value appears on a title it does not necessarily summarize the values for the versions included in it. Because licensing should be considered on a version by version basis, the values given on a title are generalizations, while the values given for each version accurately reflect the licensing of a version. The focus — title or version — is specified in the table wherever there is a distinction to be made.

Licensing Term

Description

Usage

Licensing Status

A generalized status for the entire software title: green for Ok, red for insufficient licenses, and yellow for almost under licensed or over licensed.

When browsing through your titles you can get a big picture status of a single title or all your titles.

Status%

The percentage of your entitled licenses that are in use.

When your status is yellow, the percentage makes it easier to determine whether you are almost under licensed (approaching 100%) or over licensed (very low percentage).

Installed Quantity

The number of discovered software installs.

This shows your legal liability as discovered by Configuration Manager on the linked Configuration Item.

Entitlements

On a title: All the base licenses for the software title, plus cross title base licenses that result from competitive or edition upgrades.

On a version: The number of licenses available to this version, after assigning all the base licenses to versions and determining which upgrades and downgrades will be required.

The purpose of this value is to identify how many licenses are actually available for this title or version.

Base Licenses

The number of base licenses that were available for this version based on SKUs and licenses.

When the licensing status is green this value must be equal to the number of installs. If it is not equal to the installs, then other base licenses must be used through upgrades and downgrades.

When the licensing status is red, if there are insufficient base licenses, then this value shows how many were available to be applied against this version's installations.

Upgrade Licenses

The number of upgrade licenses associated with this version through SKUs.

Licensed Installs

The number of installs that are covered by licenses.

Remaining Usable

The number of additional installations that this title and version can support.

It is important to understand that while this field is exclusive to this version, it is not cumulative across versions. For instance, if additional installs where performed on a specific version, the remaining usable count for other versions would probably be impacted. This is because the overall entitlement (across versions) is affected by each install.

Remaining Base Licenses

The number of base licenses for this version, which were not used by the best fit calculation.

Remaining Upgrade Licenses

The number of upgrade licenses for this version which were not used by the best fit calculation.

Expired Licenses

The number of licenses whose expiration date has passed.

Expired licenses are no longer included in the count of valid base or upgrade licenses.

See Also ▶

How software licensing status is calculated

Software title: an overview


Example for best fit

The upgrade SKUs assumed in this example have upgrade rights from the previous version and downgrade rights to the previous version. The bases have downgrade rights to the previous version.

Software Title 1 |  |  |  |  |  |
 | Install-ed | Entitlements | Base Licenses | Upgrade Licenses | Licensed Installs | Remaining Usable
Version 1 | 20 | 25 | 20 | 5 | 20 | 0
Version 2 | 30 | 61 | 36 | 50 | 30 | 6
Version 3 | 14 | 5 | 0 | 5 | 5 | 0

In order to satisfy Version 1, 20 base licenses are used, leaving 0 bases to be used by another version. Version 2 has 36 bases, but only requires 30, leaving 6 base licenses and all 50 upgrades. Version 3 need s 14, but can only satisfy 5 based upon the upgrade license, so its status is red.

Version 2 has a yellow status because it has too many upgrades that cannot be used. Therefore, the additional upgrades do not show up as Remaining for any version.


Before you begin managing software assets

The following table and figure contain a summary of how to prepare your data so you can perform software asset management. Ensure that you have created hardware assets first, and linked them to CIs, see Before you begin managing hardware assets.

Step

Description

1. Create a software catalog

The software catalog links information about installed software (provided by Configuration Manager) to your list of software titles (what you are managing). You will need to map the data discovered by Configuration Manager to the software catalog. See the Unmapped Software Items view for a list of items that were discovered and which may need to be added to the catalog.

2. Create software licenses and SKUs

Software licenses represent your software purchases. Each license includes a serial number, a license number, a SKU, as well as a software agreement.

A SKU may be created at the same time as you create a software license or an existing SKU may be used. You may also create a license from a SKU.

3. Create the software agreements

Optional. As part of creating a software license an agreement can also be created. An agreement is associated with a particular license.
Preparing for software asset management


Using the software catalog

The principle reason for the software catalog is to provide a list of managed software titles and versions. The software catalog links information about installed software (provided by Configuration Manager) to your list of software titles (what you are managing).

Use the software catalog to:

  • identify which products are approved for use in an organization

  • determine at a glance the licensing status (over or under licensed)

In order to understand how many titles you have and where those titles and versions are installed, you need to link software items to software titles. Consult the Unmapped Software Items view for a list of items that were discovered and then add them to the software catalog (as software titles). You will want to review the software items in the Unmapped Software Items view and determine:

  • if they need to be included in the software catalog and tracked by the IT Asset Management Pack

  • if any similar software items need to be related together, such as Adobe Reader 9.0.0 and Adobe Reader 9.0.3

When you create a software title, you can roll-up or associate multiple software items to the same software title and version. Software items associated in this manner are included in licensing calculations against the same title and version.

See Also ▶

Excluding or including items from the software catalog

Understanding software asset relationships

Creating a software catalog

To create a software catalog from discovered software items:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Catalog Maintenance > Unmapped Software Items view.

  2. Sort by the Product Name column to group like products together or use the Filter to search for a specific product.

  3. Select several software items that you wish to relate to a single Publisher, Software Title and Version entry in the software catalog.

    4. NOTE:

    Even when you import software titles into the IT Asset Management Pack, you still need to link any unmapped software items to software titles in the catalog.

  4. In the Tasks pane, click Add to Software Catalog. The Add Software Item to Software Catalog form opens.

  5. Complete the fields on the form:

    6. Publisher: Enter the name of the publisher if it is not already displayed. You may also select the name of an existing Publisher. The names in the list correspond to the Companies defined in the Administration folder of the IT Asset Management Pack.

    Title: Enter the title of the software or select it from a list. The title becomes the name of the software title. For example, the title could be Microsoft Office Enterprise.

    Version: Enter the version number or select it from a list. For example, the version could be 2007.

  6. Click OK to save the software catalog title.

The software items are mapped to a new software title created for you in the Software Titles Tracked by Installation view.

NOTE:

The IT Asset Management Pack recalculates, on a periodic basis, all the values used to show the licensing status of each software title. The calculated values are available in the Software Titles Tracked by Installation view. You may also recalculate the values manually, see Updating the licensing status values.

Use the Software Item to Title Mapping view to see a list of software items that you have mapped to software titles.


Creating a software title

A software title is the primary software asset that is tracked and managed. It may be created independently from discovered software items, as described here. It also may be created from the Unmapped Software Items view. During asset creation, enter as much information about the software title itself, including the publisher, the status, approval status, the version, the SKU, the assignment and the allocation.

To create a software title:

  1. Go to the IT Asset Management Pack workspace and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view.

  2. In the Tasks pane, click Create Software Title. The New Software Title form opens.

  3. Complete the fields on the General tab. Take note of the following guidelines:

    4. Status: Change the status of a title to Inactive if you only have partial data in place for it. Licensing Status is not calculated for an inactive title, which therefore reduces overall processing of licensing as well as false negatives (red or under licensed status). Even though they are not included in the calculation, inactive titles can still be seen in the Software Title views. Both the install count and the license count are updated accordingly.

    Estimated Unit Cost: Enter the cost of the software title, including all versions and SKUs associated with it. The estimated cost will be used on the Software Reconciliation report to calculate the cost of reconciling the installed copies versus the available licenses.

    Discovered Software Item Count: The total number of software items discovered by the connector to System Center Configuration Manager. This count includes all of the installed versions associated with the hardware asset. Compare the installed software with the licensed software to obtain a complete picture of the title’s licensing situation.

    Software Versions: Add software versions encompassed by the title through the addition of software items. Including versions on a software title is critical to accurately calculating your licensing status. For more information about the licensing status values shown for each version, see Interpreting licensing values on a title. Licensing status is only shown in this table when you are tracking the licensing status by installations.

    Track licensing status by Installations or Assignments: Choose how your licensing status is tracked. When it is tracked by installations, the licensing status is based on licenses versus installations. When it is tracked by assignments, the licensing status is based on licenses versus assignments. The two options are mutually exclusive. When you select by assignment, the software title is moved to the Software Titles Tracked by Assignment view when saved. For more details, see About assignment of software .

  4. In the Tasks pane, click Add SKU. The SKU form opens. Adding a SKU to the title is important for calculating licensing status. For more details about creating a SKU, see Creating a software SKU.

  5. Click OK to create and save the software title.

See Also ▶

Software title overview

SKU overview

Allocating software licenses

Assigning software


Viewing the software catalog

To see the catalog items you have added:

>> Go to the IT Asset Management Pack and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view.


Excluding or including items from the software catalog

In order to limit the number of software items listed in the Unmapped Software Items view, you can choose to exclude certain software items. Device drivers, free software and proprietary software for internal use are examples of items you may wish to exclude.

To exclude software items from the software catalog:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Catalog Maintenance > Unmapped Software Items view.

  2. Select one or more software items.

  3. In the Tasks pane, click Exclude Software Item from View. A confirmation message opens.

  4. Click Yes to confirm that you wish to continue with the exclusion. The software item is excluded from the software catalog.

To include software items into the catalog (that you have excluded):

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Catalog Maintenance > All Excluded Software Items view.

  2. Select one or more software items.

  3. In the Tasks pane, click Include Software Item in View. The software item is included in the software catalog.


Creating software licenses

A software license represents the purchase of a software SKU. After you create or update software titles, you may record your software license purchases.

The most important parameters of a software license are the serial and license numbers, the SKU and the license agreement. The SKU indicates what you purchased and is used to associate the license with a software title. For more details see Creating a software SKU.

NOTE:

If you have imported your software licenses using a batch process, and the SKUs were automatically created with them, you need to link the SKUs with the software titles. To link a SKU with a software title, go to the All SKUs Missing Information view, open each SKU and complete the Software Title field.

To create a software license:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Licenses > All Software Licenses view.

  2. In the Tasks pane, click Create Software License. The New Software License form opens.

  3. Complete the fields on the General tab.

  4. Click OK to create the software license.

See Also ▶

SKU


Creating a software SKU

Software SKUs are related to software titles and provide additional information regarding the type of license, the path for downgrade and upgrade versions, pricing, quantity of licenses purchased, and product usage rights.

If you are planning on using product usage rights, which currently extend to language and region, you need to configure them first. Product usage rights are considered Lists and are configured from the Library workspace. For more details about configuring them, see Configuration of lists.

To create a software SKU:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view or Software Titles Tracked by Assignment view.

  2. Select a software title.

  3. Go to the Tasks pane and click Add SKU. The New SKU form opens.

  4. Complete the fields on the General tab. Guidelines for completing some of the fields on the form are as follows:

    5. Software Version: Select the version of the software that this SKU gives you a right to use.

    Publisher: The software publisher is automatically derived from the software catalog.

    This is an upgrade license:If the license associated with the SKU only permits an upgrade, either from a base license or from another upgrade license, then check this option. When left unchecked, then the license is assumed to be a “base” license.

    License Quantity: The base quantity that the licenses are sold in. Typically the quantity is one, but there can be multiples, such as a five-pack license. The base quantity on the SKU is multiplied by the license quantity on the software license, to arrive at the total number of entitled licenses.

    Licensing Program: Select a program, if the manufacturer has a program related to licensing. Licensing Programs represent a specific set of rights for using the software, a license condition and a pricing applicable to a SKU.

  5. (Optional) Complete the Product Usage Rights tab. The lists on this page may need to be configured with values first, see Configuration of lists.

  6. Add versions to the Downgrade & Upgrade tab. The tab captures the version management path, which is used to determine your license entitlement. For more details, see How software licensing status is calculated.

  7. Click OK to save the new SKU.

  8. Return to the Software Titles Tracked by Installation view or the Software Titles Tracked by Assignment view and double click on the software title you selected in step 2.

  9. Click the SKU tab and observe that the SKU information is now available for the software title.

See Also ▶

SKU


Creating a software license agreement

A software license agreement provides terms and conditions that describe how a software title can be used. The IT Asset Management Pack lets you store key information about a software license agreement so that you can keep track of the software you purchase under each agreement.

A license agreement can be linked to a software license. You first create a software license, then apply an agreement to it. To see the licenses applied to an agreement, click the View Related Software Licenses task.

A software agreement can be created from the Software License form or from the All Software License Agreements view.

To create a license agreement:

  1. Go to the IT Asset Management workspace and expand Contract Management > Software License Agreements > All Software License Agreements view.

  2. In the Tasks pane, click Create Software License Agreement. The New Software License Agreement form opens.

  3. Complete the fields on the General tab. Take note of the following guideline:

    4. Program: Select a program if the manufacturer has a program related to licensing. Examples include an enterprise agreement or a Microsoft Open Business. Licensing Programs represent a specific set of rights for using the software, a license condition and a pricing applicable to a SKU.

  4. Click OK to save the agreement.

See Also ▶

Software agreement

Software title


Allocating software licenses

Software licenses can be allocated to a cost center, an organization or a location. Use allocation to manage your licenses and ensure that each entity uses no more than its allocated licenses. For instance, the Marketing department may have purchased five licenses for a graphics software title. The Publications department may have purchased three. You can allocate the appropriate number of licenses to the Marketing department and to the Publications department. It is up to you to enforce the allocation of licenses to each department.

Allocating a software license has no affect on the Licensing Status calculation (see Identifying over and under licensing issues). The Allocations tab on a particular software title shows the exact amount of licenses allocated and to whom. Allocation is a means of tracking who should have which software licenses. Allocated licenses can be compared against installed licenses, in reports and views, to determine which departments are exceeding their allocation.

To allocate a software license:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view or Software Titles Tracked by Assignment view.

  2. Double click a software title. The Software Title form opens.

  3. Click the Allocations tab.

  4. Select the Type of allocation you prefer: By Cost Center, By Organization or By Location.

    5. NOTES:

    You cannot select more than one type of allocation per software title.

    If you change the allocation type, you will lose any historical allocation data from the previous type.

  5. Click Add to choose an allocation. The Add Software Title Allocation form opens.

  6. Click Add to select a new allocation (organization, cost center or location).

  7. Enter the number of licenses as a Quantity for the allocation.

  8. Click OK to save the allocation.

  9. Add more allocations as necessary.

  10. Click OK to complete the allocation and save the software title.


Assigning software

Software titles, licenses and keys may be assigned to a user or to a device. Assign software in general for the purposes of reporting on and managing who or what is in possession of it. Assign software to give priority during software license calculation, when matching installs to licenses (see Assignment and licensing status). Assign software titles when it is not necessary to have the assignment associated with a specific purchase. For example, when new computer shipments are received you may assign the same software title to each computer. Assign software licenses when you wish to track your purchases in more detail. Assign keys when you wish to track them for the purposes of harvesting.

Assignment does not link the software title to a hardware asset in a way that you can view related assets from the title. You need to link the asset to a CI with software installed on it, in order to view related assets from that software. For more details, see Viewing the assets related to an item.

You may assign software from any one of the following items:

  • from the software license

  • from the hardware asset

  • from the software title

  • from a user (Configuration Items workspace)

As well, you can view software assignments from each of those locations. But if you are looking specifically for assignment of licenses, view them from the software license.

NOTE:

The best practice is to assign at the software title. For more details, see About assignment of software.

Assigning software licenses and keys

To assign a license and a key (optional) to a user or hardware asset:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Licenses > All Software Licenses view.

  2. Select a software license.

  3. In the Tasks pane, click Assign to The Assign Software Title wizard opens.

  4. Select either hardware asset or user as the item that you would like to assign the title to and click Next. The Assignment Details page opens.

  5. Complete the Assign to and Quantity fields on the page and click Next. The Assign License and Key page opens.

  6. Assign a software license and a license key (optional) to the title.

  7. Click Finish to save the assignment.

Assigning software titles

To assign a software title to a user or hardware asset:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view or Software Titles Tracked by Assignment view.

  2. Select a software title.

  3. In the Tasks pane, click Assign to. The Assign Software Title wizard opens.

  4. Select either hardware asset or user as the item that you would like to assign the title to and click Next. The Assignment Details page opens.

  5. Complete the Assign to and Quantity fields on the page and click Next. The Assign License and Key page opens.

  6. Assign a software license and a license key to the title (optional).

  7. Click Finish to save the assignment.

To assign a software title, and its license, from a hardware asset:

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select an asset in the list. Press CTRL+click to select multiple assets and assign them all to the same software title.

    3. NOTE:

    You cannot assign multiple assets to a software title if the license key is for a single user.

  3. In the Tasks pane, click Assign Software. The Software Assignment form opens.

  4. Complete the fields on the form.

  5. Click OK to save the assignment.

To assign a software title, and its license, from a user:

  1. Go to the Configuration Items workspace and click Users.

  2. Select a user in the list. Press CTRL+click to select multiple users and assign them all to the same software title.

  3. In the Tasks pane, click Assign Software. The Software Assignment form opens.

  4. Complete the fields on the form.

  5. Click OK to save the assignment.


Status indicators

Software assignment and licensing share the same status indicators and thresholds.

The licensing status of a software title is visually indicated on the title’s form, the Software Titles Tracked by Installation view, the Software Titles Tracked by Assignment view and in reports. Although assignment is compared against licenses in the Software Titles Tracked by Assignment view, the result is still referred to as a licensing status. The assignment status is visually indicated on the Software Title Assignment report and in the Software Titles Tracked by Assignment view.

Only an Administrator can change the threshold at which the IT Asset Management Pack determines the licensing status for the three indicators. For more details about the settings, see Software administration settings.

What software licensing indicators mean

By default, the status of a software title is shown as follows:

  • Red indicator [image] when the title is either under assigned or under licensed (entitled quantity of licenses is less than the installed quantity)

  • Yellow indicator [image] when the title is either over assigned or over licensed (entitled quantity of licenses is greater than the installed quantity)

  • Yellow indicator [image] when the title is almost under assigned or under licensed

  • Green indicator [image] when the title has an acceptable status (assignment and licensing)

Each version added to a software title has a direct affect on the overall licensing status of the title. If any single version’s status is red, the overall status of the title is red, or under licensed. If any single version’s status is yellow, then the overall status of the title is yellow.

An Administrator can change the threshold at which the IT Asset Management Pack determines the licensing status for the three indicators. For more details, see Software administration settings.

What assignment status indicators mean

With assignment, we measure assigned titles against entitled licenses to arrive at a status. By default the assignment status of a software title is as follows:

  • Yellow indicator [image] when there is a surplus of licenses (entitled quantity of licenses is greater than the assigned quantity)

  • Yellow indicator [image] when there is almost a shortage of licenses

  • Green indicator [image] when the title has an acceptable status

Because you cannot assign more licenses or titles than you are entitled to, you can never have insufficient licenses to cover your assignments. For this reason the red status indicator is not applicable to assignment status.

Updating the licensing status values

The calculation of your licensing status, and all the values that contribute to it, is automatically performed every 60 minutes by a workflow. You can manually initiate the recalculation anywhere within Software Asset Management, using the Recalculate Software Licensing Values task.


Identifying over and under licensing issues

A software title is under licensed if there are not enough licenses to account for the number of installations. A software title is over licensed if there are more purchased licenses than there are installations.

To determine if a title is over or under licensed:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view or Software Titles Tracked by Assignment.

  2. Select a software title in the list.

  3. An indicator in the Licensing Status column shows you the title’s status as described in Status indicators.


Viewing a list of unapproved software titles

You can quickly find unapproved software titles that are installed, as well as their installed counts. This information allows you to enforce corporate policy regarding the use of approved software. You can also determine who has the unapproved software and where the unapproved software is installed.

To view unapproved software titles:

  1. Go to the IT Asset Management workspace and expand Software Asset Management > Software Catalog > Software Titles Tracked by Installation view or Software Titles Tracked by Assignment view.

  2. Sort the view by the Approval Status column. Approval status is either Approved or Not Approved, providing you have entered or imported this data.

  3. Open a software title that is not approved.

  4. In the Tasks pane, click View Related Hardware Asset.

  5. Go to the Ownership and Location column to see who the asset is assigned to.

If a hardware asset is not found, the title was not linked to a hardware asset through a CI, see Hardware asset.


Viewing software assignment

A software title and license can be assigned to a user or a hardware asset. For more details on assignment, see Assigning software and Assignment and licensing status.

To view the assets assigned to a software title or license:

  1. Go to the IT Asset Management workspace and expand Software Asset Management view.

  2. Open a software title or license.

  3. In the Tasks pane, click View Assignments. The View Assignments form opens with a list of assignments for the item.

To view the software titles assigned to a user:

  1. Go to the Configuration Items workspace and select the Users view.

  2. Find a user in the list and select the user.

  3. In the Tasks pane, click View Assigned Software Assets. The View Assignments form opens with a list of the software titles assigned to the user.


Viewing Software Installed on an Asset

Top > Working with Software Assets > Viewing the software installed on an asset

Viewing the software installed on an asset

For any given hardware asset you can determine:

  • what software is installed on it

  • what software is assigned to it

To determine the installed and assigned software of a hardware asset:

  1. Go to the IT Asset Management workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Select a hardware asset in the list and open it.

  3. Click the Software tab. The Software tab contains a list of the software assigned to the asset and the software installed on the asset. The Installed Software includes the Device Name, which is the display name of the computer in Service Manager (not the Windows computer name).


Viewing software title allocation

Software titles can be allocated to cost centers, locations and organizations. For more details, see Allocating software licenses.

To view the software titles allocated to a cost center, location or organization:

  1. Go to the IT Asset Management workspace and expand Administration.

  2. Select one of the following views: All Cost Centers, All Locations or All Organizations.

  3. In the View pane, select a cost center, location or organization and click View Allocated Software Assets. A Search Results form opens with a list of the software titles allocated to the item.


Tracking software usage data

An important factor in software asset management is developing an understanding for what is being used and by whom. With the IT Asset Management Pack you can track licensed, allocated, assigned and installed software. But just because the software is installed, does not guarantee that it is being used. How should you handle the licensing of installed but unused software?

First you need to track software usage to ensure that software is required by individuals. Knowing what is required and what is not required, because it is not being used, provides you with the opportunity to save licenses and therefore money. Putting that knowledge into practice you would determine those individuals or servers where software is actively being used and uninstall software from those who are not using it.

Usage tracking can also be considered a planning tool that helps you balance capacity with demand, and then identifying opportunities where different licensing configurations could save money or facilitate sharing.

Another opportunity to save money is related to usage and version upgrades. In most cases upgrades cost money. But even if a company is over licensed on base licenses, there is an opportunity to save money by upgrading only the required number based upon usage.

This type of management requires more automation and attention and so it does not make sense for all software products. However, as a general principle and a pre-audit activity, adding usage allows companies to verify that every installation is needed.

Topics

Example

How to set up software usage

Collecting software usage data

Example

Consider Microsoft's Visio application as an example. Visio is not included in the Microsoft Office Standard Edition and can be licensed either separately, or as part of other Microsoft Office packages. If only a segment of the users need Visio, a business decision is made to purchase individual licenses. Tracking the usage of Visio means you can manage the licenses more effectively and potentially save money. Individuals who have the software installed, but never use it, may be asked to uninstall it so that licenses are freed up for others to use. Tracking usage prevents you from purchasing more licenses than are actually required.

How to set up software usage

Ensure that you have installed the Software Usage feature of the IT Asset Management Pack. This can be done through the Setup.exe file used to install the management pack. Refer to the Deployment Guide for more details about installing features.

Once Software Usage is installed, configure it as follows:

  1. Create a connector to collect the software usage data. See Collecting software usage data.

  2. Map the software usage data (in the form of software metering rules) to software versions. See Mapping usage data to software versions.

Collecting software usage data

A connector to Configuration Manager needs to be created so that software usage data can be imported into the IT Asset Management Pack. The data that the management pack stores in the data warehouse is a summary only and does not include raw data.

Once the connector is created and configured, software usage is available as a Version with a Last Used Date on the following: a hardware asset form’s Software tab and on the results from the View Related Hardware Assets task. A workflow ensures that the Last Used Date is updated monthly. The Last Used Date is the only data presently surfaced for software usage.

Hints:

  • Allow the connector to run on its own.

  • Try not to synchronize the connector until it has started running.

  • Configure the connector to IT Asset Management Pack exactly the same as you would configure the System Center Configuration Manager connector. The only difference between the two connectors is that the IT Asset Management Pack will be collecting different information.

Creating a connector to Configuration Manager

To create a connector for collecting software usage data:

  1. Go to the Administration workspace and click the Connectors view.

  2. In the Tasks area, click Create Connector and select Configuration Manager Connector from the menu. The System Center Configuration Manager Connector Wizard opens.

  3. Click Next and enter a Name and Description for the connector. The Select Management Pack page opens.

  4. Select the Provance ITAM Software Usage Connector and click Next. In actuality you are not storing the connector in the management pack, but instead you are selecting a type of connector. The Connect to System Center Configuration Manager Database page opens.

  5. Enter your Database server name.

  6. Enter your Database name.

  7. Select Run As account and click Test Connection to ensure the database information and credentials are correct.

  8. Click Next. The Collections page opens.

  9. In the Configuration Manager Collection box, select all collections and click Next. The Schedule page opens.

  10. Select a frequency for synchronization and click Next. The Summary page opens.

  11. Confirm that the information entered is correct, then click Create. After the connector has been created, close the wizard.

    12. Allow the connector to perform its own synchronization for the first time. After the synchronization is complete, you can manually Synchronize it whenever necessary (if you want it to synchronize outside of the scheduled time frame).

  12. Once synchronization is complete, the software metering rules should appear in the Software Catalog > Software Catalog Maintenance > Software Metering Rules - Unmapped view.

  13. Next you need to map the software usage data to software versions, see Mapping usage data to software versions.

Important considerations

There are several links, some manual and some automatic, that must be in place before usage data is visible in the IT Asset Management Pack. If any of these links are absent, usage data in the form of metering rules will not be visible under the Software Catalog Maintenance view. The links, shown on the following figure, are as follows:

  • Each software metering rule (imported from System Center 2012 Configuration Manager) should be linked to a version (manual).

  • That same version should be linked to a software item (manual) that is installed on the windows computer discovered by System Center 2012 Configuration Manager (automatic).

  • Usage data must have been collected for the rule on the same windows computer (automatic).


Mapping usage data to software versions

Installed data gathered by the management pack is based upon software items and their versions, while usage rules identify executables. Each usage or metering rule therefore needs to be associated with one or more versions. The versions can come from multiple software titles as well. For instance, if you wish to associate both Visual Studio Professional and Visio Studio Ultimate Editions with the same executable, then you could map them both (and their versions) to the same rule. Mapping a metering rule to a version indicates that whenever the executable has “usage” associated with it, then the version or versions of the software are considered to have been used. Only when rules are mapped can you see software usage data on reports and views.

Use the Software Metering Rules - Mapped and Unmapped views to organize the rules that come from Configuration Manager and map them to software versions. The rules that appear in these views are dependent on the items you chose to include when you set up the connector to Configuration Manager. Both views are found under Software Asset Management > Software Catalog > Software Catalog Maintenance.

The Software Metering Rules - Unmapped view only displays those software metering rules that have not yet been mapped to a software version in the catalog. The Software Metering Rules - Mapped view only displays those software metering rules that have been mapped to one or more software versions in the catalog. Either view can be used to map versions to rules, but if you have not mapped any rules before, start with the Unmapped view.

Certain links must be in place before you can see usage data in views and reports. For more details, see Important considerations.

To map rules to versions:

  1. Go to the Software Asset Management > Software Catalog > Software Catalog Maintenance > Software Metering Rules - Unmapped view.

  2. Select a rule based on the product that you wish to obtain usage on.

  3. In the Tasks pane click Properties. The Metering Rule Properties form opens.

  4. In the Mapped Software Versions section, click Add. The Select Software Versions form opens.

  5. Determine which software titles and versions you wish to map to this rule (to the executable shown on the form) and click Add to include them.

  6. Click OK.

  7. Click OK to close and save the Metering Rule Properties.

The metering rule automatically moves to the Software Metering Rules - Mapped view.

See Also ▶

Tracking software usage data

How to set up software usage


Viewing related software licenses

Software licenses can be associated with items such as software agreements, software titles and SKUs. In each case the item must be manually added to the license first before the two are considered related. The following table contains the items where you can use the task View Related Software Licenses, as well as how you can relate the item to the license.

Item | How to Relate it to a Software License
SKU | Add a SKU to the software license. The SKU and the license are now related. The software license can also be created from the SKU, and hence related to it in that manner.
software license agreement | Add the agreement to the software license.The agreement and the license are now related.
software maintenance & support agreement | Add the agreement to the software license.The agreement and the license are now related.
software title | Add a SKU to the software license. Add the same SKU to the software title. The license and the title are now related.


Editing software assets

Software assets, such as software titles, SKUs and software licenses, can be edited in singles or in multiples. When editing multiple assets you can only change the fields common between them; all other fields are unique to each asset.

To edit a software asset:

>> Select a single software asset and click Edit.

OR

>> CTRL+select multiple software assets and click Edit Multiple Software Assets.


Building service and request offerings for a portal

The IT Asset Management Pack lets you contribute to an existing self-service portal. You can add both service offerings and request offerings to your portal.The IT Asset Management Pack allows you to create both hardware and software service and request offerings. The request offering task creates the service offering automatically if it does not already exist.

A service offering is a logical group of request offerings, e.g., such as Access and Security might contain request offerings for network access as well as specific application access. A Communication Devices service offering might contain a request offering for ordering a Blackberry Bold 9780. Within the IT Asset Management Pack, you can create a request offering for a hardware asset, a software title and a software version.

Templates are provided for both service offerings and request offerings. You cannot modify these templates, but you can create a copy of the template and modify it. If you do create your own template, ensure that you select the template when you create a new request offering.

Prerequisites:

  • A SharePoint self-service portal. A SharePoint template for the portal provides you with navigation links, a header and a footer. Refer to the Deployment Guide for System Center 2012 for more information on setting up a portal using SharePoint.

  • In order to view the Service Catalog on the self-service portal, users must have been assigned a user role associated with a catalog group that contains catalog items. For more information, refer to the Administrator's Guide for System Center 2012.

  • To create request offerings, a user should belong to the Service Manager Administrators role. If the user does not belong to the role, the request offering task automatically substitutes a Run As Account (Service Request Default Action Account). However, this Run As account must be configured with a user who has the Service Manager Administrators role beforehand. Refer to the Deployment Guide for instructions on configuring the Run As account.

Manual activities arising from these requests include:

  • approving the request

  • searching the existing inventory for assets or generating a new asset if one does not already exist

  • searching for a suitable software asset or reassigning an existing one

  • publishing the service offering and request offering so they are visible on the portal


Creating and publishing a request offering

A request offering can be created from either a hardware asset or a software title. When you create a request offering it has a status of draft. If you have a request offering with the same name, a suffix is added to the new request as a means of differentiating them.

  1. Select a hardware catalog item, a software title or a version.

  2. Click Create Request Offering.

  3. Go to the Library workspace and open Service Catalog > Request Offerings > Draft Request Offerings.

  4. Review the request offering. You may wish to add an image, a description of the offering on the self-service portal, add or remove prompts for users, etc.

  5. Click Publish.

  6. Review and publish the service offering that was created with it as well. Unpublished service offerings are located in the Service Offerings > Draft Service Offerings view.


Managing a request from the self-service portal

When a request for a hardware asset or software title is received from the portal, a service request work item is created. Here is what you need to do with the request:

  1. Approve it. Who performs the approval is up to you. The approval list can be set to leverage Service Manager functions, such as AD connector line manager information.

  2. In the case of a hardware asset, search your inventory for a suitable asset or generate a new hardware asset.

  3. In the case of a software asset, search for a suitable software title, reassign an existing one or generate a new software title. Assignment of the software title to the users specified on the request is performed automatically by the management pack.


Introduction

The out-of-the-box SSRS (SQL Server Reporting Services) reports provided by Provance are grouped into the following categories:

  • Hardware asset management reports

  • Software asset management reports

  • Contract reports


Hardware asset management reports

The IT Asset Management Pack has the following hardware-related reports:

  • Hardware asset management dashboard

  • Hardware asset inventory report

  • Discovered hardware assets not managed report

  • Managed hardware assets not discovered report

  • Hardware asset details report

These reports can be found in the Service Manager Reporting workspace, under IT Asset Management. Additional reports can be created using the reporting feature of Service Manager. Use the parameters section at the top of each report to change the filter values.


Hardware Asset Management Dashboard Report

Top > Reporting on Asset Management Data > Hardware asset management reports > Hardware asset management dashboard

Hardware asset management dashboard

The Hardware Asset Management Dashboard presents a high level overview of the current state of your hardware asset management practice. The report includes all hardware assets, except those whose status is either disposed or returned. Each section of the dashboard can be drilled through to discover more details. Drill through from the dashboard to open the Hardware Asset Inventory report or the Contract Summary report. The Hardware Asset Inventory report is filtered to include only those assets that are owned and not leased.

NOTE:

If your hardware asset data contains multiple currencies, the dashboard converts them to a base currency using an exchange rate. If the exchange rate is not changed, a default of 1 is used. For more details on the settings for exchange rate, see Global administration settings.

The dashboard provides the following information about your hardware assets.

Assets by location

The Assets by Location section displays the percentage of asset ownership in your organization by location. The location is derived from the Location field of your hardware assets.

Assets by cost center

The Assets by Cost Center section displays the percentage of asset ownership in your organization by cost center. The cost center is derived from the Cost Center field of your hardware assets.

Assets by organization

The Assets by Organization section displays the percentage of asset ownership by organization. The calculation is based on the percentage of total assets associated with an organization.

Investment by manufacturer

The Investment by Manufacturer section shows the top ten hardware manufacturers based on the investment you made over the last 12 months. The manufacturer is derived from the Manufacturer field of the hardware catalog item that is associated with the hardware asset.

Investment by supplier

The Investment by Supplier section shows the top ten hardware suppliers based on the investment you made over the last 12 months. The supplier is derived from the hardware catalog item that is associated with the hardware asset (Financial tab > Supplier on the catalog item).

Age of assets (owned)

The Age of Assets section shows the percentage of owned hardware assets by their age; that is, how many assets are less than two years old, between two and five years old and greater than five years old. The calculation is based on the Received Date field on the Financial tab of each asset.

Asset status

The Asset Status section shows how many assets are ordered, shipped, received, installed, stored and retired. The asset status is derived from the Life cycle status field of all your assets. Click on a life cycle status to drill into the Hardware asset inventory report, filtered by the status.

Contract expiration

The Contract Expiration section shows the number of hardware contracts, by type, that have expired but are still active, are close to being expired, and are valid. Click a contract status, such as Close, to open the Contract Summary report with all contracts having a Close status. Click a type of contract, such as Lease, to open a summary of all Lease contracts. Click the status of a particular contract type, such as Warranty, to see all Warranty contracts having that status. The status is derived from the Administration settings for contract expiration.


Hardware asset inventory report

The Hardware Asset Inventory report acts both as a drill through report for all elements of the Hardware Asset Management Dashboard and as a stand-alone report. It includes all owned and leased assets, unless you drill through from the Hardware Asset Management Dashboard > Age of Asset (Owned) section, when only the assets that are owned appear.

Parameters

Use the parameters section at the top of the report to filter by the following fields on the hardware asset form:

  • Location

  • Cost Center

  • Organization

  • Supplier

  • Manufacturer

  • Life Cycle Status: The status disposed and the status returned are not automatically included when you run the report with All life cycle statuses selected. However, they can be individually selected and shown in the report.

  • Age of the Asset: The asset’s age, which is based on its Received date.

  • Type: The type of asset, such as computer, monitor, or printer.

  • Asset Tag: Search by the asset tag. The Asset Tag field is not case sensitive.

Report Contents

The Hardware Asset Inventory report has the following information:

  • Asset Serial Number: The serial number of the asset.

  • Asset Tag: An internal identifier for the asset.

  • Life Cycle Status: The status of the asset.

  • Location: The location of the asset.

  • Cost Center: The cost center for the asset.

  • Organization: The organization responsible for the asset.

  • Manufacturer: The company who manufactured the asset.

  • Supplier: The company who supplied the asset.

  • Received Date: The date that the asset was received.

Click on any item in a row to open the Hardware Asset Details report.


Discovered hardware assets not managed report

The Discovered Hardware Assets not Managed report contains computer assets (CIs) that have been detected through the discovery process, but that do not have a link to a corresponding hardware asset item in the IT Asset Management Pack. An asset is not considered to be managed by the IT Asset Management Pack if it is not linked to a specific CI. Also, if the CI is associated with a disposed or returned hardware asset item, it is not shown in the report. You may wish to review the assets you are not currently managing and add them to the IT Asset Management Pack.

Parameters

Use the parameters section at the top of the report to filter by the following:

  • Domain

  • Is Virtual Machine

  • Start Date

  • End Date

Report Contents

The report has the following information:

  • Computer: The display name of the CI that is linked to the asset.

  • Serial Number: The serial number from the CI linked to the asset.

  • Primary User: The primary user from the CI linked to the asset.

  • Domain: The domain name from the CI linked to the asset.

  • Virtual Machine: A yes or no condition that depends on whether or not the CI is a virtual machine.

  • Last Inventory: The last inventory date from the CI linked to the asset.


Managed hardware assets not discovered report

The Managed Hardware Assets not Discovered report shows the assets that you have entered into the IT Asset Management Pack, but which have not been discovered on the network by Configuration Manager. An asset that has not been discovered refers to a computer hardware asset, which is not linked to a windows CI or not linked to a CI that has a Last Inventory Date prior to the Last Inventoried Before report parameter.

Parameters

Use the parameters section at the top of the report to filter by the following:

  • Life Cycle Status

  • Model

  • Location

  • Cost Center

  • Not Scanned Since: Select this parameter to show the assets not discovered on the network since a particular date. All assets that were discovered prior to the date selected, and not since, are included in the report.

Report Contents

The report has the following columns:

  • Asset Tag: The asset tag from the CI linked to the asset.

  • Serial Number: The serial number from the CI linked to the asset.

  • Life Cycle Status: The status of the hardware asset.

  • Model: The model of the hardware asset.

  • Location

  • Cost Center

  • Organization

  • Computer Name: The display name of the CI linked to the asset.

  • Assigned To: The individual who has been related to the hardware asset.

Click on any item in a row to open the Hardware Asset Details report.


Hardware asset details report

The Hardware Asset Details report provides a summary of a hardware asset.

Parameters

The report has the following parameters:

  • allows you to select the hardware asset for the report.

  • Asset tag: To find a hardware asset by its asset tag, select Asset Tag as the field to search by after you click Add to search for a hardware asset.

  • Serial Number: To find a hardware asset by its serial number, select Serial Number as the field to search by after you click Add to search for a hardware asset.

Report Contents

The report has the following information:

  • Type: The type of hardware asset, such as computer or printer.

  • Model: The model of the asset.

  • Serial Number: The serial number from the CI linked to the asset.

  • Description: A description of the asset, if entered.

  • Life Cycle Status: The life cycle status of the hardware asset.

  • Manufacturer: The company who manufactured the asset.

  • Asset Tag: The asset tag of the asset.

  • Assigned To: The individual who has been assigned the asset.

  • Organization

  • Location

  • Warranty: If there is a warranty associated with the asset, then it appears in this section.

  • Support: If there is a hardware maintenance & support agreement associated with the asset, then it appears in this section.

  • Lease: If there is a Lease Schedule associated with the asset, then it appears in this section.

  • Financials: A summary of all the financial information from the asset.

  • Software: The installed and assigned software on the asset, organized by software title.

  • History: An historical list of life cycle status changes and their dates.

  • Cost Event: A list of all the cost events entered for the hardware asset, organized by the type of cost event.


Software asset management reports

The IT Asset Management Pack has the following software reports out of the box:

  • Software license assignment report

  • Software title assignment report

  • Software title installation report

  • Software license distribution report

  • Software license reconciliation report

  • Software title allocation report

These reports can be found in the Service Manager Reporting workspace, under IT Asset Management > Software Asset Management. Additional reports can be created using the reporting feature of Service Manager. Use the parameters section at the top of each report to change the filter values.


Software license assignment report

The Software License Assignment report lists all the software licenses that have been assigned to hardware assets or to users for a given software title. It does not include unassigned licenses. Based on discovery data, it indicates whether or not the software is installed on an asset. Use the report to harvest licenses or change assignments as necessary.

Parameters

Use the parameters section at the top of the report to determine the Software Title used in the report.

Report Contents

The Software License Assignment report has the following information:

  • Software License: The name of the software license.

  • Software Version: The version of the software that the license applies to.

  • Type: The type of software license, which is usually a license.

  • Unit: The basis for the license, such as a CPU or a device.

  • Total Licenses: The total number of licenses available.

  • User Name: The name of each user assigned to a software license.

  • Hardware Asset: The name of each hardware asset assigned to a software license. Click on a hardware asset to open the Hardware Asset Details report.

  • Assigned: The number of licenses that have been assigned to a user, an asset or the software license.

  • Installed: The number of licenses installed on an asset, which is based on discovery information.

  • Assigned Keys: The license keys assigned to a user or an asset.


Software title assignment report

The Software Title Assignment report lists all the software titles that have been assigned to hardware assets or users. Software titles that are unassigned are omitted from the report and from the Installed count. Based on discovery data, it indicates whether or not the software is installed on an asset. A colored indicator shows the status of a title, which is derived from the proportion of assigned licenses to installed licenses.

Parameters

Use the parameters section at the top of the report to filter by the following fields:

  • Software Title

  • Publisher

  • User

  • Hardware Asset

Report contents

The Software Title Assignment report has the following information:

  • Software Title: The name of the software title.

  • User Name: The name of each user assigned to the software title.

  • Hardware Asset: The name of each hardware asset assigned to the software title. Click on a hardware asset to open the Hardware Asset Details report.

  • Assigned: The number of licenses that have been assigned to a user or an asset. Click on the assigned number to open the Software License Distribution report.

  • Installed: The number of licenses installed on an asset and assigned to the user or hardware asset. There may be additional licenses installed, but unless they are assigned they are not included in this figure. Installed data is based on discovery information. Click on the installed number to open the Software License Distribution report.

  • Total Licenses: The number of licenses available for the software title. Click on the total to open the Software License Distribution report.

  • Allocated: The number of licenses allocated to a user or an asset. Click on the allocated number to open the Software License Distribution report.

  • Not Assigned to a Software License: This section only appears if there are assignments to the software title, and not to any specific license.


Software title installation report

The Software Title Installation report can help you prepare for an audit by showing the licensing status of a software title.

Parameters

Use the parameters section at the top of the report to choose the software title or the publisher whose licensing details will be displayed in the report.

Report contents

The report identifies the following for each software title:

  • Publisher

  • Installed Quantity: The number of titles currently installed (based on discovery data).

  • Excluded Quantity: The number of software titles that have been excluded from the Installed count. Software titles are removed from the Installed count when they are installed on a hardware asset whose life cycle status indicates that it is not being used; for example, software installed on a Disposed asset should not be included. Because these software titles are no longer considered installed, the licensing status of the software title changes for the positive. For more details on how to exclude software titles (through their associated software items) and why, see Software administration settings.

  • Total Licenses: The total number of licenses that you have for the software title.

Click on any item in a row to open the Software License Distribution report for the software title.

The following indicators are also applicable for each title on software reports:

  • a red indicator if the title is under licensed

  • a yellow indicator if the title is over licensed or if it is nearly under licensed

  • a green indicator if the proportion of purchased licenses to installed licenses is acceptable

For more details about the colored indicators used for licensing status, see Status indicators.


Software license distribution report

The Software License Distribution report summarizes how the licenses associated with the selected software title are currently allocated, assigned and installed on discovered devices. Use the report to determine whether or not you should remove a license from a particular asset.

A colored indicator shows the licensing status of the software title as follows:

  • A red indicator shows under licensed software.

  • A yellow indicator shows over licensed software or nearly under licensed software.

  • A green indicator shows an acceptable proportion of purchased vs. installed licenses.

An Administrator can change the threshold for determining the licensing status represented by the three indicators. For more details, see Software status thresholds.

Parameters

Use the parameters section at the top of the report to determine the software title for the report.

Report contents

The report has the following details for a selected software title:

  • Software Title: The status of the title is shown with a colored indicator. The details of the title include the Publisher, the Installed Quantity (based on discovery data) and the Licensed Quantity (based on all the SKUs added to the title). For more details, see Software title and SKU.

  • By Allocation: A title is allocated to a cost center, an organization or a location. For more details, see Allocating software licenses.

  • By Assignment: The user or hardware asset assigned to the title and the assigned quantity. Allocations and assignments are not validated against one another. For more details, see Assigning software.

  • By Installation: The configuration items assigned to the title, with the number of titles installed per item, the version, and the last used date. In order to see the last used date you must have installed and configured the Software Usage feature. For more details, see Tracking software usage data.


Software license reconciliation report

The Software License Reconciliation report compares the number of software licenses for a title, against what is installed and what is assigned. Using the Estimated Unit Cost field on a software title, the report calculates a cost for reconciling what is installed and what is assigned to what is licensed. A red, negative value indicates that the title is either over licensed or under assigned.

NOTE:

If your software title data contains multiple currencies, the report converts them to a base currency using an exchange rate. If the exchange rate is not changed, a default of 1 is used. For more details on the settings for exchange rate, see Global administration settings.

Parameters

Use the parameters section at the top of the report to filter the report by the software title and the publisher. It is recommended that you select one or the other, because selecting both means both values must be satisfied before a match is found.

Report Contents

The report has the following contents for each software title:

  • Title: The software title.

  • Version: The version of the software title.

  • Estimated Unit Cost of Title: Derived from the Estimated Unit Cost field on the software title.

  • Total Licenses: The total number of licenses that you have for the software title.

  • Installed - Actual: The number of titles currently installed (based on discovery data) plus the number of titles excluded.

  • Installed - Excluded: The number of software titles that have been excluded from the Installed count. Software titles are removed from the Installed count when they are installed on a hardware asset whose life cycle status indicates that it is not being used; for example, software installed on a Disposed asset should not be included. Because these software titles are no longer considered installed, the licensing status of the software title changes for the positive. For more details on how to exclude software titles (through their associated software items) and why, see Exclude installed software through life cycle status .

  • Installed - Net: The number of titles currently installed (based on discovery data).

  • Assigned: The number of titles currently assigned.

  • Difference: Occurs in two columns as follows: the difference between the licensed titles and the Installed - Net titles, and between the licensed titles and the assigned titles.

  • Cost: The estimated cost of reconciling the licensed titles with the installed or assigned titles. A total cost for each is provided at the end of the report.

Click on any software title value to open the Software License Distribution report.


Software title allocation report

For each software title that has been allocated, the Software Title Allocation report shows you what the title is allocated to, the number of allocations it has, and the number of installed and allocated software items (based on discovery information). Titles are allocated to organizations, cost centers or locations. Software titles that have not been allocated are omitted from the report and from the Total Installed count.

Summary data for each software title is as follows:

  • Publisher: The Publisher of the software.

  • Total Allocated: The total number of allocations for the title, which is further divided into the number allocated per cost center, organization or location.

  • Total Installed: The total number of software items installed and allocated, which is further divided into the number per cost center, organization or location. There may be additional items installed, but unless they are allocated they are not included in the total.

Click on any software title value to open the Software License Distribution report.

Required relationships

In order for this report to produce proper data, the following relationships need to be set up:

  • A computer CI must have an installed software item. Usually the relationship between them occurs automatically based on discovery data.

  • The computer CI must be linked to a hardware asset. Usually the relationship between them occurs automatically based on a match of the serial number or asset tag.

  • The software item must be mapped to a software title. This is a manual step that you need to perform, see Using the software catalog.

  • The software title must be allocated to an organization, a cost center or a location. This is a manual step that you need to perform, see Allocating software licenses.

  • The hardware asset must have its location, organization and cost center information completed. This is a manual step that you need to perform, unless you have imported the data using a connector.


Contract reports

There are two contract reports:

  • Contract summary report

  • Contract detail report

Contract summary report

The purpose of the Contract Summary report is to understand, for planning and negotiating purposes, which contracts are coming up for renewal and which contracts have terminated. The report is organized into sections, one for each type of contract included in it. Colored icons in the first column indicate the expiry status according to preset thresholds, see Understanding contract expiration indicators. The thresholds are set by default in the Administration workspace > Settings > Contract Administration Settings, but they can be modified temporarily through the report parameters.

Parameters

The report can be filtered by the following:

  • Contract type: Select the type of contract that you wish the report to focus on, such as Hardware Maintenance & Support Agreements. Leave the Contract type default of All to include all contract types in the report.

  • Supplier

  • Effective Date Start and End: All contracts that are effective between the start date and the end date are shown in the report.

  • Expiration Date Start and End: All contracts that expire between the start date and the end date are shown in the report. Contracts that expire outside of this range are not shown. Leave the date range set to All (default) to show all possible expiration date ranges for your contracts.

  • Show Only Contracts with Status of: Select a status to show only those contracts having a particular expiration status. A status of Unknown signifies that the Expiration Date was not entered. Although the Expiration Date is mandatory on most reports, it is not mandatory on the User Defined Agreement. It is also possible to import contracts using the Data Management Pack and omit the Expiration Date.

  • Expired Threshold: Enter the number of days, from today, when you consider the contract to have expired. A contract is expired when its Expiration Date occurs on or before the date derived from the expired threshold. A zero is considered to be today. For example, if you enter 2 days from today, then a contract whose Expiration Date occurs within the next 2 days, or anytime prior to that, is considered expired.

  • Close to Expired Threshold: Enter the number of days, from today, within which you consider the contract to be close to its expiration. This is intended to flag the contract as coming close to its Expiration Date. For example, if you set the date as 90 days, then any contract whose Expiration Date occurs within the next 90 days, is considered to be close to expiring.

NOTE:

If the Expired Threshold and the Close to Expired Threshold overlap, the report considers the Expired Threshold first and anything outside of it as part of the Close to Expired threshold. For example, if the Expired Threshold is 2 days, then contracts whose Expiration Date falls in the next 2 days are considered expired. If the Close to Expired Threshold is 365, then any contract falling between 2 and 365 days is considered close to being expired.

  • Organization

  • Cost Center

  • Contract Manager

Report Contents

The report has the following information for most types of contracts:

  • Agreement Number: The unique identifying number for the agreement. Click the Agreement Number to drill into the Contract detail report.

  • Name: A unique name or number given to the contract behind the agreement. The name used varies depending on the type of contract, and with some contracts, such as a warranty, the name is hidden so it would only appear on this report.

  • Supplier: The name of the supplier, vendor or publisher that the contract pertains to.

  • Effective Date: The date that the contract came into effect.

  • Expiration Date: The date that the contracts expires.

Contract detail report

The Contract Detail report summarizes the details of an agreement that is associated with the contract. It shows the details of one agreement at a time. The report includes many of the fields that can be found on the agreement’s form. The Contract Detail report can be drilled into from the Contract Summary report or run directly from the Tasks area.

Report Parameters

The report can be filtered by the agreement that is related to the contract.

Report Contents

The report contains the following information about the agreement:

  • Agreement Number: The unique identifying number for the agreement.

  • Display Name: The unique name given to the agreement.

  • Contract Manager: The owner of the agreement.

  • Description

  • Terms and Conditions: Terms and conditions that pertain to this agreement.

  • Supplier: The name of the supplier, vendor or publisher that the agreement pertains to.

  • Contact

  • Cost Center

  • Organization

  • Location

  • Notes

  • Status

  • Effective Date: The date that the agreement came into effect.

  • Life Cycle Status

  • Expiration Date: The date that the contracts expires.

  • Milestones: If there are any milestones added to the agreement, describing upcoming activities such as true-ups, they are listed in this section. If there are no milestones, the section is empty.

  • Cost Events: If there are any cost events that took place during the agreement’s life, they are listed in this section. If there are no cost events, the section is empty.

  • Associated Agreements: If there are any agreements that have been associated with the current agreement, then they are listed in this section. If there are no associated agreements, the section is empty.


Creating an incident from a hardware asset item

If you create incidents or change work items related to a computer CI, they are not automatically linked to the hardware asset and therefore do not appear under related work items for the hardware asset.

  1. Go to the IT Asset Management Pack workspace and expand Hardware Asset Management > Hardware Assets > All Hardware Assets.

  2. Select or open the asset and in the Tasks pane click Create Related Incident.

  3. For details on creating and managing incidents, refer to the Service Manager online help.


Linking incidents and hardware assets

A hardware asset item in the IT Asset Management Pack can be linked to an incident through the CI. The asset item provides additional information about the asset, such as ownership, location, as well as warranty, lease, support and other related contractual information. In addition, an incident can be created directly from an asset item in the IT Asset Management Pack. When a hardware asset and computer CI are linked, then the Incident’s related items shows both the hardware asset and computer CI.

Furthermore, a hardware asset can see all incidents opened related to it, or to any computer CI it is related to. Incidents related to a hardware asset are found on the asset’s Related Items tab, under Work items affecting this configuration item. CIs related to the hardware can see all related incidents under their Related Items tab as well. You must enable the Hardware Workflow Setting that permits this to happen on the Hardware Administration Settings wizard. For more details, see Hardware workflow setting.

To link a hardware asset to an incident:

  1. Go to the Work Items workspace, expand Incident Management and select an appropriate Incident view.

  2. Find the incident using a view or a filter and open it.

  3. Go to the Affected Items section and click Add to add an affected CI. Select the appropriate CI from the available list of computers and click OK to save the relationship.

  4. In the Task pane click View Affected Hardware Asset to view the associated asset item.

NOTE:

If you receive the message “No items found”, this indicates the asset item and the CI are not linked together. For details on how CIs and asset items are linked, see Creating and editing a hardware asset.


Creating a change request from a hardware asset

To create a change request from a hardware asset:

  1. Go to the IT Asset Management Pack workspace and expand the Hardware Asset Management > Hardware Assets > All Hardware Assets view.

  2. Select the asset.

  3. In the Tasks pane click Create Related Change Request.

  4. For details on creating and managing Change Requests, refer to the Service Manager online help.


Glossary

A B C D E H I L M N O P R S U W

Term

Definition

Active Directory

Active Directory is a technology created by Microsoft that provides a variety of network services, including: Lightweight Directory Access Protocol (LDAP), Kerberos-based authentication, DNS-based naming, Central location for network administration and delegation of authority, Information security and single sign-on for user access to networked based resources.

affiliation

Affiliation is a relationship between a user and one or more of the following: a cost center, a location and an organization.

agreement

Agreements are managed within the IT Asset Management Pack to provide visibility into contractual obligations that affect the business and the IT Asset Management practice. Specifically, they are used as follows: help the service desk during incident resolution, since analysts can quickly assess whether or not an asset is covered by a contract; prepare for negotiations with suppliers and vendors; track costs for total cost of ownership (TCO) calculations; and maximize support and service level agreements.

alert

An alert is a flag that is placed on a hardware asset. Use it to mark the asset for review. Alerts remain on assets, on a separate Alerts tab, until they are removed. All hardware assets with alerts are grouped together in the Hardware Assets with Alerts view.

allocation

A software title can be allocated to a location, organization or cost center for the purposes of apportioning licenses. Allocating a software license has no effect on the licensing status calculation. It is only used for reporting purposes; there is no enforcement of allocation limits.

asset

In Provance you manage assets, either hardware or software, which are linked to CIs.

asset manager

An asset manager is the person responsible for tracking and reporting on an enterprise’s or division’s assets. A company may have multiple asset managers, which includes software and hardware asset managers.

asset tag

A physical tag that uses a sequential and unique number, often with bar codes for easy and accurate reading, which can be attached to a device.

assignment

Software licenses, software titles and license keys may be manually assigned to a user or hardware asset. A hardware asset can be manually assigned to a location, a user and/or an organization. Manual software assignments made by you are given priority during licensing status calculation. During the calculation the system can also automatically assign software to a user or hardware asset. System assignments are not persisted between calculations; that is, when the licensing calculation is run again, system assignments may change.

audit

An audit is usually associated with software assets. A self-audit is performed internally, while an external audit may be performed by software publishers or their agents (license enforcement companies).

Authoring Tool

A Microsoft application that allows System Center supported management packs, including the Provance IT Asset Management Pack, to be changed or customized. This includes the ability to add custom fields to forms or to remove fields from view on forms. When making changes with the Authoring Tool, ensure that you do not impair functionality.

Bar Code

Provance Bar Code is a mobile asset scanning software suite. With a minim um of data entry, it gives you the freedom to receive new assets and to perform ad-hoc audits wherever you prefer. Use its simple three-task menu to receive new assets, track the movement of existing assets, and verify asset characteristics. Provance Bar Code is integrated with Service Manager and hence the Provance IT Asset Management Pack.

base currency

A base currency is used as the currency displayed in all the IT Asset reports; this is required when multiple currencies have been entered into your financial data. Regardless of what currencies have been entered, they will be converted to the base currency using a defined exchange rate.

base license

A base license is the primary license required for a particular version of installed software. If a base license does not exist for each discovered (installed) instance of software, the best fit calculation will flag the software as being under licensed. A base license can have downgrade rights, which is the ability to downgrade the license for use with another version. A base license can only be used once to support an instance of software associated with a user or device.

best fit calculation

Best fit is a set of features that improves the calculation of your licensing position. The best fit calculation intelligently distributes your license entitlements across your installations, giving priority to assigned software. For each version of a software title, it first determines the number of base license entitlements. Then it determines, based on the installations for that title, what scenarios need to be satisfied. For example, for MS Office, how many of each of the following versions are installed: 2010, 2007, and 2011. Then best fit uses the upgrade and downgrade paths, combined with the base licenses, to determine how it can satisfy the scenarios. The licensing status for each version of the software title is derived from the results of its calculation.

Certificate of Acceptance (COA) Number

Each lease schedule has a COA which identifies the following: the client has accepted the device and the lease can start. Ideally, lease acceptance occurs before or on the Effective Date for the schedule.

client device license

A client device license is a type of Provance license. It represents a device that is counted towards your license. Any Windows computer in the IT Asset Management Pack that meets the following criteria is considered a client device and therefore added to your device count:

• its status is not pending delete

• it is not a virtual machine

• if it is related to a hardware asset, the asset’s life cycle status cannot be requested, disposed, returned, retired or a child status of one of these, and the asset’s status cannot be pending delete.

• it is not already considered a server device

client hardware asset license

A client hardware asset is a type of Provance license. It represents a device that is counted towards your license. Any hardware asset in the IT Asset Management Pack that meets the following criteria is considered a client asset and therefore added to your device count:

• its status is not pending delete

• its life cycle status is not disposed, retired, returned, or a child status of one of these

• if it is related to a CI, then the CI can not be considered a server device

client user license

A client user is a type of Provance license. It represents a user who is counted towards your license. Any user in Service Manager that meets the following criteria is considered a client user and therefore added to your license count:

• its status is not pending delete

Configuration Item

A CI is a base CMDB entity. An example of a CI is a Windows Computer CI. Hardware Assets are associated to Computer CIs, while Software Titles are associated to Software Item CIs. Both Computer CIs and Software Item CIs come from an System Center 2012 Configuration Manager discovery process before being stored in the CMDB.

CI

Configuration Item

Configuration Management Database

The CMDB is the Microsoft database used by System Center applications.

CMDB

Configuration Management Database

Configuration Manager

Microsoft® System Center 2012 Configuration Manager is part of the System Center platform. It is responsible for gathering and storing device information during the automated discovery process or through manual updates by administrators. Information is transferred from System Center 2012 Configuration Manager to Service Manager via a connector.

CM

Microsoft® System Center 2012 Configuration Manager

connector

A connector is a specialized interface which facilitates standard data imports. In the Service Manager platform, there are connectors to Active Directory, Configuration Manager and Operations Manager.

cost event

A cost event is single expense that can be associated with a specific asset or agreement. Tracking expenses helps calculate total cost of ownership (TCO).

cost center

A cost center is an accounting construct used to designate a budget or account responsible for financing the asset.

cube

An OLAP cube provides self-service report and dashboard authoring. OLAP, or online analytical processing, is a smarter way of storing and accessing data that allows you to quickly perform multi-dimensional data analysis. For example, a single cube allows you to analyze data from different viewpoints, such as the number of defects for each model, the number of defects for each quarter of last year, and what the trend has been for those defects over the last six months.

Data Management Pack

Data Management is a data import management pack. Use its wizards to migrate data into Service Manager and control how the data gets created. It supports CSV, Microsoft SQL and LDAP as data sources.

data warehouse

The data warehouse is used by the IT Asset Management Pack for high performance reporting based on current and historical data. Selective information is sent from Service Manager and the IT Asset Management Pack to the data warehouse on a regular basis (usually 2-4 hours).

discovered data

Data obtained by System Center 2012 Configuration Manager as it scans your network for software and hardware assets.

disposal agreement

A disposal agreement is a contract with an external company to dispose of IT assets, either through a resale or a recycle process.

disposed asset

Assets that have reached the end of their life (EOL) and are no longer useful to an organization should be marked as disposed. Disposal may be done by an external company to ensure that the assets are disposed in accordance with applicable legislation. Disposed assets are still available for historical and reporting purposes.

effective date

The start date usually associated with a contract or agreement.

entitlements

All the base licenses for the software title, plus cross title base licenses that result from competitive or edition upgrades.

expiry date

The end or termination date usually associated with a contract or agreement.

hardware asset

A hardware asset is an item managed by Provance, such as a server, desktop, laptop, a PDA, or a printer. Every hardware asset usually has a corresponding hardware catalog item and in most cases a corresponding CI.

hardware catalog

A hardware catalog is created to provide standardized manufacturer, model and supplier information for assets. Usually the creation of a hardware catalog precedes the creation of the hardware asset. In fact, a best practice is to create the hardware catalog prior to adding hardware assets.

hardware maintenance & support agreement

This is an agreement with an external company to repair hardware. It usually comes into effect after the warranty period expires.

installed asset

A life cycle status that indicates an asset is in use. A hardware asset is installed when it is delivered to its assigned person and deployed at its final location. A software asset is considered installed once it has been loaded on a device.

IT asset management

IT asset management is the process used to track and manage hardware and software assets, assignments and states. Asset Management (AM) links financial and configuration information over the life time of a device or software application.

IT Asset Management Pack

Provance has developed a process management pack that adds IT Asset Management functionality to Microsoft System Center Service Manager. This is an optional management pack installed under Service Manager which facilitates asset management and integrates with incident and change management.

lease agreement

A lease agreement is a contract with an external company to use hardware and/or software for a specific period of time.

lease schedule

A lease schedule is a specific schedule associated with a group of assets. A single lease agreement may have multiple lease schedules, each with their own effective and expiry dates.

license key

A license key is the publisher supplied activation string or text file that is used by the software to validate its operation and feature set. Some products have a single use key, while others may share a single key across multiple instances.

license reconciliation

The process of matching purchased license quantities to installed license counts.

life cycle

The life cycle is the segmentation of the life of a hardware asset based upon its availability for productive use. By default, the life cycle of a hardware asset within the Provance IT Asset Management Pack consists of several states or statuses as follows: Ordered, Shipped, Received, Installed, Stored, Retired, Disposed and Returned.

managed asset

A managed asset refers to a hardware or software asset being tracked and managed under the Provance IT Asset Management Pack. A managed asset is a hardware asset that may or may not have an associated Windows Computer CI.

manufacturer

A company used to identify a hardware asset supplier.

Microsoft® System Center Service Manager

One of the Microsoft applications that runs under the System Center platform. This is the prerequisite application under which the Provance IT Asset Management Pack is installed.

milestone

Milestones act as a historical record of important events that occur during the life of a contract. When entered in advance, milestones can spin off e-mail reminders that one is about to occur, such as a software audit due next month. Cost events can also be associated with a milestone. All cost events associated with a milestone are also added to the related contract.

moved asset

A move is performed on a hardware asset that is changing its location. It may be moving to another building, office, or to storage.

notifications

Notifications are used to inform IT Asset Management Pack users, as well as external users, when hardware contracts are coming up for renewal. Notifications are sent through e-mail.

ordered asset

Ordered assets are assets that have not arrived from a vendor. Ordered is a life cycle status of a hardware asset.

Organization

An organization represents a functional group within a company that is responsible for an asset.

Over licensed

A software title is over licensed if there are more purchased licenses than there are installed instances of the title. While a small degree of over licensing is expected due to license granularity, and is desirable to allow for immediate service, a high degree of over licensing represents a cost for unused capacity.

Ownership information

The owner is the person or end user who is in possession or responsible for a hardware or software asset. Business owners refer to those who are responsible for the financial or business management of a collection of assets.

Parent-child relationship

Parent and child relationships are used to connect related assets together, where one asset can have a set of assets directly associated with it. These relationships can be used when relating a computer and its peripherals, the assets in a lab, or even assets that are assigned to a specific user. In the event the parent asset changes, for example when a user receives a new PC, all child assets can be quickly reassigned to a new parent. Change activities, such as install, move, swap, retire and dispose, may have parent-child implications. The IT Asset Management Pack enables you to set up these relationships so that when a change occurs, the relationship can be reassigned or kept as necessary.

Physical Inventory

An internal process to verify location, ownership and configuration of a hardware asset and optionally its related software assets.

PoP

Proof of Purchase

Process Management Pack

A Process Management Pack adds data structures, forms, workflows and reporting to extend the functionality of one or more System Center applications like Service Manager.

product title

A product title is used to monitor your compliance with the license for a particular Provance product. A workflow links the title to all of the server and client devices and users that are applicable to your licenses. The product title monitors the number of devices and users you are managing against the number permitted by your license. If you are managing more than you are licensed for, then you cannot create or save hardware assets. For more details. see What happens when I reach my license limit?. There is one product title per product, such as one for the IT Asset Management Pack, regardless of how many licenses you may have.

Provance™ IT Asset Management Pack for Microsoft® System Center

See IT Asset Management Pack.

Product Usage Rights

Product Usage Rights refer to the terms under which you are entitled to use the software. These rights include a term, usually perpetual, as well as conditions, such as installed on a specific machine or CPU. The PUR can be specific to a product SKU (how the product was purchased). In other words, a SKU holds a specific license type which defines your PUR.

Proof of Purchase

Proof of Purchase is an invoice or receipt identifying a specific software SKU from a supplier and attached to a software license. In case of an audit it shows how the license (and its quantity) is valid.

Publisher

A term used to identify a software vendor.

PUR

Product Usage Rights

received asset

A received asset is one that has been received from a vendor, but has not yet been stored or installed. With Provance Bar Code, receiving personnel use only a bar code scanner to scan each item received, and enter a minimum amount of information about each shipment. The Receive task on the scanner is used to perform this operation

refresh cycle

The refresh cycle is an enterprise standard period that is specified in the hardware catalog item associated with a model. It is used to indicate when a hardware asset should be replaced. This period is usually associated with “evergreen” policies. The initial refresh date for an asset is calculated by adding the refresh cycle to the install date.

retired asset

An asset is retired when it is being placed into storage prior to disposal, or if it is at the end of its life cycle.

returned asset

An asset that has been returned under a lease agreement has a life cycle status of returned. In a leased asset, returned replaces disposed as the final life cycle status.

server device

A type of Provance license and an actual device that is counted towards your license. Any Windows Computer CI that meets the following criteria is considered a server device and therefore added to your server device count:

• its status is not pending delete

• it is not a virtual machine. If it is a virtual machine, it does not have a related physical computer.

• if it is related to a hardware asset, the asset has a life cycle status of disposed, returned, retired, or any children of these

• its operating system matches Provance’s list of server operating systems

server hardware asset

A type of Provance license and an actual device that is counted towards your license. Any hardware asset in the IT Asset Management Pack that meets the following criteria is considered a server asset and therefore added to your device count:

• its status is not pending delete

• is life cycle status is not one of the following: disposed, returned, retired, or any children of these

• it is related to a server that matches the criteria for a server device

service catalog

A set of service offerings and request offerings provided by IT to users. Offerings are items that users can select from the IT service portal. A service offering is a service provided by IT, such as purchasing new software. A request offering is a request offered by IT, such as a request to increase the size of your mailbox.

Service Manager

Microsoft® System Center 2012 - Service Manager

Service Manager

The base application for the Provance IT Asset Management Pack.

Service Manager Console

The user interface that is used to perform Service Manager functions, such as incidents, changes, and tasks as well as Asset Management. This is automatically installed when you deploy a Service Manager Management Server. Additionally, you can manually install the Service Manager console as a stand-alone application on a computer. There can be many consoles connected to the Service Management Server.

shipped asset

A shipped asset is one that has been ordered but not yet received from a supplier.

SKU

Stock Keeping Units, or SKUs, represent what has been bought via a vendor-specific number. They establish the link between a software license and the software title and represent a specific software version. For a given title, the SKU links license purchases with product usage rights. In Europe, a SKU is referred to as a European Article Number (EAN).The two terms are identical, but SKU is used throughout the IT Asset Management Pack.

software asset

A software asset is a single instance of a software title.

software catalog

The software catalog is a list of managed software titles and versions.

software installs, excluded

Software titles are removed from the Installed count when they are installed on a hardware asset whose life cycle status indicates that it is not being used; for example, software installed on a Disposed asset should not be included. Because these software titles are no longer considered installed, the licensing status of the software title changes for the positive.

software items

Software items are discovered instances of software provided by Service Manager.

software license

A software license represents the purchase of a SKU. You link a software license to a SKU and a license agreement. Licenses purchased through different SKUs may have different product usage rights.

software license, excluded

A software license is excluded automatically from the best fit calculation when its start or end date makes it ineligible for use towards your licensing position.

software license agreement

A software license agreement (also known as a EULA) identifies the terms and conditions associated with a software title through the SKU and License.

software maintenance & support agreement

A software support agreement defines the terms and conditions or type of support that a software product has.

software metering

Software metering provides you with the ability to monitor and collect information about software usage from Configuration Manager clients. Some of this information is presently imported into the IT Asset Management Pack. The last used date for software is shown on the hardware asset’s Software tab as well as when you View Related Hardware Assets from a software version (through a title).

software title

A software title is a software application you can manage with the IT Asset Management Pack. A software title has one or more versions assigned to it. Each version can be linked to one or more software items that were discovered.

software usage

This is the data that is collected through the System Center 2012 Configuration Manager software metering facility and related to a software version by mapping an enabled metering rule.

subscription

Creating a subscription to a notification allows you, and anyone else included in it, to receive the notification via e-mail.

supplier

A term used to identify the company from whom you purchased a hardware or software asset.

swap asset

A swap occurs when a user’s hardware asset is replaced with another. The swap retires the original asset, while the new asset automatically inherits the software assignments, location, cost center, organization, assigned to and child assets. The original asset retains its cost center, organization and all other relationships.

under licensed

A software title is under licensed if there are not enough licenses to cover the number of installations. This means the enterprise is not in compliance with the product licensing.

upgrade license

An upgrade license permits you to upgrade to or downgrade from a specific version of software. An upgrade license is applied during best fit calculation to satisfy any versions that do not have the requisite base license. An upgrade license cannot be applied to a version without an available base license. An upgrade license can only use its ‘downgrade to’ or ‘upgrade from’ once, and it cannot use them both.

user

A user is synonymous with an owner, the person in possession of an asset.

user client

See client user license.

user defined agreement

A user defined agreement allows you to manage a contract that is outside the predefined types of contracts provided with the IT Asset Management Pack. User defined agreements can be associated with other agreements and with CIs. Only a user defined agreement can be the parent of another user defined agreement. All CIs related to a user defined agreement can be seen with the View Related Configuration Items task.

warranty

Vendor specific terms and conditions for the repair or replacement of a damaged or broken hardware asset.

workflow

A sequence of activities (workflow activities) that automate a business process, such as automatic resolution or automatic e-mail response. Workflows are comprised of workflow activities.

workspace

A workspace is an area of the Service Manager interface that provides access to related functions. Workspaces in Service Manager include management packs, administration items, configuration items, library and work items.


Copyright

Top > Copyright

This document is provided for informational purposes only and Provance makes no warranties, either express or implied, in this document. Information in this document, including external references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into an electronic retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Provance Technologies, Inc.

Provance Technologies, Inc. may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Provance, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Provance IT AMP for System Center Service Manager 2012 R2

© 2014 Provance Technologies, Inc. All rights reserved.
Provance Technologies Inc.
490 Saint-Joseph Boulevard, 2nd Floor
Gatineau, Quebec
CANADA
J8Y 3Y7

Provance® and the Provance logo are either trademarks or registered trademarks of Provance Technologies Inc.

Microsoft, SQL Server, Windows, Windows Server, Windows Vista, and Active Directory are either registered trademarks or trademarks of Microsoft.

All other trademarks are property of their respective owners.